#![allow(dead_code, mutable_transmutes, non_camel_case_types, non_snake_case,
         non_upper_case_globals, unused_assignments, unused_mut)]
pub type __uint32_t = libc::c_uint;
pub type uint32_t = __uint32_t;
#[derive(Copy, Clone)]
#[repr(C)]
pub struct dv_info_t {
    pub dvType: libc::c_int,
    pub dvK: libc::c_int,
    pub dvB: libc::c_int,
    pub testt: libc::c_int,
    pub maski: libc::c_int,
    pub maskb: libc::c_int,
    pub dm: [uint32_t; 80],
}
/* **
* Copyright 2017 Marc Stevens <marc@marc-stevens.nl>, Dan Shumow <danshu@microsoft.com>
* Distributed under the MIT Software License.
* See accompanying file LICENSE.txt or copy at
* https://opensource.org/licenses/MIT
***/
/*
// this file was generated by the 'parse_bitrel' program in the tools section
// using the data files from directory 'tools/data/3565'
//
// sha1_dvs contains a list of SHA-1 Disturbance Vectors (DV) to check
// dvType, dvK and dvB define the DV: I(K,B) or II(K,B) (see the paper)
// dm[80] is the expanded message block XOR-difference defined by the DV
// testt is the step to do the recompression from for collision detection
// maski and maskb define the bit to check for each DV in the dvmask returned by ubc_check
//
// ubc_check takes as input an expanded message block and verifies the unavoidable bitconditions for all listed DVs
// it returns a dvmask where each bit belonging to a DV is set if all unavoidable bitconditions for that DV have been met
// thus one needs to do the recompression check for each DV that has its bit set
//
// ubc_check is programmatically generated and the unavoidable bitconditions have been hardcoded
// a directly verifiable version named ubc_check_verify can be found in ubc_check_verify.c
// ubc_check has been verified against ubc_check_verify using the 'ubc_check_test' program in the tools section
*/
static mut DV_I_43_0_bit: uint32_t =
    (1 as libc::c_int as uint32_t) << 0 as libc::c_int;
static mut DV_I_44_0_bit: uint32_t =
    (1 as libc::c_int as uint32_t) << 1 as libc::c_int;
static mut DV_I_45_0_bit: uint32_t =
    (1 as libc::c_int as uint32_t) << 2 as libc::c_int;
static mut DV_I_46_0_bit: uint32_t =
    (1 as libc::c_int as uint32_t) << 3 as libc::c_int;
static mut DV_I_46_2_bit: uint32_t =
    (1 as libc::c_int as uint32_t) << 4 as libc::c_int;
static mut DV_I_47_0_bit: uint32_t =
    (1 as libc::c_int as uint32_t) << 5 as libc::c_int;
static mut DV_I_47_2_bit: uint32_t =
    (1 as libc::c_int as uint32_t) << 6 as libc::c_int;
static mut DV_I_48_0_bit: uint32_t =
    (1 as libc::c_int as uint32_t) << 7 as libc::c_int;
static mut DV_I_48_2_bit: uint32_t =
    (1 as libc::c_int as uint32_t) << 8 as libc::c_int;
static mut DV_I_49_0_bit: uint32_t =
    (1 as libc::c_int as uint32_t) << 9 as libc::c_int;
static mut DV_I_49_2_bit: uint32_t =
    (1 as libc::c_int as uint32_t) << 10 as libc::c_int;
static mut DV_I_50_0_bit: uint32_t =
    (1 as libc::c_int as uint32_t) << 11 as libc::c_int;
static mut DV_I_50_2_bit: uint32_t =
    (1 as libc::c_int as uint32_t) << 12 as libc::c_int;
static mut DV_I_51_0_bit: uint32_t =
    (1 as libc::c_int as uint32_t) << 13 as libc::c_int;
static mut DV_I_51_2_bit: uint32_t =
    (1 as libc::c_int as uint32_t) << 14 as libc::c_int;
static mut DV_I_52_0_bit: uint32_t =
    (1 as libc::c_int as uint32_t) << 15 as libc::c_int;
static mut DV_II_45_0_bit: uint32_t =
    (1 as libc::c_int as uint32_t) << 16 as libc::c_int;
static mut DV_II_46_0_bit: uint32_t =
    (1 as libc::c_int as uint32_t) << 17 as libc::c_int;
static mut DV_II_46_2_bit: uint32_t =
    (1 as libc::c_int as uint32_t) << 18 as libc::c_int;
static mut DV_II_47_0_bit: uint32_t =
    (1 as libc::c_int as uint32_t) << 19 as libc::c_int;
static mut DV_II_48_0_bit: uint32_t =
    (1 as libc::c_int as uint32_t) << 20 as libc::c_int;
static mut DV_II_49_0_bit: uint32_t =
    (1 as libc::c_int as uint32_t) << 21 as libc::c_int;
static mut DV_II_49_2_bit: uint32_t =
    (1 as libc::c_int as uint32_t) << 22 as libc::c_int;
static mut DV_II_50_0_bit: uint32_t =
    (1 as libc::c_int as uint32_t) << 23 as libc::c_int;
static mut DV_II_50_2_bit: uint32_t =
    (1 as libc::c_int as uint32_t) << 24 as libc::c_int;
static mut DV_II_51_0_bit: uint32_t =
    (1 as libc::c_int as uint32_t) << 25 as libc::c_int;
static mut DV_II_51_2_bit: uint32_t =
    (1 as libc::c_int as uint32_t) << 26 as libc::c_int;
static mut DV_II_52_0_bit: uint32_t =
    (1 as libc::c_int as uint32_t) << 27 as libc::c_int;
static mut DV_II_53_0_bit: uint32_t =
    (1 as libc::c_int as uint32_t) << 28 as libc::c_int;
static mut DV_II_54_0_bit: uint32_t =
    (1 as libc::c_int as uint32_t) << 29 as libc::c_int;
static mut DV_II_55_0_bit: uint32_t =
    (1 as libc::c_int as uint32_t) << 30 as libc::c_int;
static mut DV_II_56_0_bit: uint32_t =
    (1 as libc::c_int as uint32_t) << 31 as libc::c_int;
#[no_mangle]
pub static mut sha1_dvs: [dv_info_t; 33] =
    [{
         let mut init =
             dv_info_t{dvType: 1 as libc::c_int,
                       dvK: 43 as libc::c_int,
                       dvB: 0 as libc::c_int,
                       testt: 58 as libc::c_int,
                       maski: 0 as libc::c_int,
                       maskb: 0 as libc::c_int,
                       dm:
                           [0x8000000 as libc::c_int as uint32_t,
                            0x9800000c as libc::c_uint,
                            0xd8000010 as libc::c_uint,
                            0x8000010 as libc::c_int as uint32_t,
                            0xb8000010 as libc::c_uint,
                            0x98000000 as libc::c_uint,
                            0x60000000 as libc::c_int as uint32_t,
                            0x8 as libc::c_int as uint32_t,
                            0xc0000000 as libc::c_uint,
                            0x90000014 as libc::c_uint,
                            0x10000010 as libc::c_int as uint32_t,
                            0xb8000014 as libc::c_uint,
                            0x28000000 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0x48000000 as libc::c_int as uint32_t,
                            0x8000018 as libc::c_int as uint32_t,
                            0x60000000 as libc::c_int as uint32_t,
                            0x90000010 as libc::c_uint,
                            0xf0000010 as libc::c_uint,
                            0x90000008 as libc::c_uint,
                            0xc0000000 as libc::c_uint,
                            0x90000010 as libc::c_uint,
                            0xf0000010 as libc::c_uint,
                            0xb0000008 as libc::c_uint,
                            0x40000000 as libc::c_int as uint32_t,
                            0x90000000 as libc::c_uint,
                            0xf0000010 as libc::c_uint,
                            0x90000018 as libc::c_uint,
                            0x60000000 as libc::c_int as uint32_t,
                            0x90000010 as libc::c_uint,
                            0x90000010 as libc::c_uint,
                            0x90000000 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0x20000000 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0x20000010 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x10 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x10 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x20 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0x40000040 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0x80000004 as libc::c_uint,
                            0x80000080 as libc::c_uint,
                            0x80000006 as libc::c_uint,
                            0x49 as libc::c_int as uint32_t,
                            0x103 as libc::c_int as uint32_t,
                            0x80000009 as libc::c_uint,
                            0x80000012 as libc::c_uint,
                            0x80000202 as libc::c_uint,
                            0x18 as libc::c_int as uint32_t,
                            0x164 as libc::c_int as uint32_t,
                            0x408 as libc::c_int as uint32_t,
                            0x800000e6 as libc::c_uint,
                            0x8000004c as libc::c_uint,
                            0x803 as libc::c_int as uint32_t,
                            0x80000161 as libc::c_uint,
                            0x80000599 as libc::c_uint],};
         init
     },
     {
         let mut init =
             dv_info_t{dvType: 1 as libc::c_int,
                       dvK: 44 as libc::c_int,
                       dvB: 0 as libc::c_int,
                       testt: 58 as libc::c_int,
                       maski: 0 as libc::c_int,
                       maskb: 1 as libc::c_int,
                       dm:
                           [0xb4000008 as libc::c_uint,
                            0x8000000 as libc::c_int as uint32_t,
                            0x9800000c as libc::c_uint,
                            0xd8000010 as libc::c_uint,
                            0x8000010 as libc::c_int as uint32_t,
                            0xb8000010 as libc::c_uint,
                            0x98000000 as libc::c_uint,
                            0x60000000 as libc::c_int as uint32_t,
                            0x8 as libc::c_int as uint32_t,
                            0xc0000000 as libc::c_uint,
                            0x90000014 as libc::c_uint,
                            0x10000010 as libc::c_int as uint32_t,
                            0xb8000014 as libc::c_uint,
                            0x28000000 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0x48000000 as libc::c_int as uint32_t,
                            0x8000018 as libc::c_int as uint32_t,
                            0x60000000 as libc::c_int as uint32_t,
                            0x90000010 as libc::c_uint,
                            0xf0000010 as libc::c_uint,
                            0x90000008 as libc::c_uint,
                            0xc0000000 as libc::c_uint,
                            0x90000010 as libc::c_uint,
                            0xf0000010 as libc::c_uint,
                            0xb0000008 as libc::c_uint,
                            0x40000000 as libc::c_int as uint32_t,
                            0x90000000 as libc::c_uint,
                            0xf0000010 as libc::c_uint,
                            0x90000018 as libc::c_uint,
                            0x60000000 as libc::c_int as uint32_t,
                            0x90000010 as libc::c_uint,
                            0x90000010 as libc::c_uint,
                            0x90000000 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0x20000000 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0x20000010 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x10 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x10 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x20 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0x40000040 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0x80000004 as libc::c_uint,
                            0x80000080 as libc::c_uint,
                            0x80000006 as libc::c_uint,
                            0x49 as libc::c_int as uint32_t,
                            0x103 as libc::c_int as uint32_t,
                            0x80000009 as libc::c_uint,
                            0x80000012 as libc::c_uint,
                            0x80000202 as libc::c_uint,
                            0x18 as libc::c_int as uint32_t,
                            0x164 as libc::c_int as uint32_t,
                            0x408 as libc::c_int as uint32_t,
                            0x800000e6 as libc::c_uint,
                            0x8000004c as libc::c_uint,
                            0x803 as libc::c_int as uint32_t,
                            0x80000161 as libc::c_uint],};
         init
     },
     {
         let mut init =
             dv_info_t{dvType: 1 as libc::c_int,
                       dvK: 45 as libc::c_int,
                       dvB: 0 as libc::c_int,
                       testt: 58 as libc::c_int,
                       maski: 0 as libc::c_int,
                       maskb: 2 as libc::c_int,
                       dm:
                           [0xf4000014 as libc::c_uint,
                            0xb4000008 as libc::c_uint,
                            0x8000000 as libc::c_int as uint32_t,
                            0x9800000c as libc::c_uint,
                            0xd8000010 as libc::c_uint,
                            0x8000010 as libc::c_int as uint32_t,
                            0xb8000010 as libc::c_uint,
                            0x98000000 as libc::c_uint,
                            0x60000000 as libc::c_int as uint32_t,
                            0x8 as libc::c_int as uint32_t,
                            0xc0000000 as libc::c_uint,
                            0x90000014 as libc::c_uint,
                            0x10000010 as libc::c_int as uint32_t,
                            0xb8000014 as libc::c_uint,
                            0x28000000 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0x48000000 as libc::c_int as uint32_t,
                            0x8000018 as libc::c_int as uint32_t,
                            0x60000000 as libc::c_int as uint32_t,
                            0x90000010 as libc::c_uint,
                            0xf0000010 as libc::c_uint,
                            0x90000008 as libc::c_uint,
                            0xc0000000 as libc::c_uint,
                            0x90000010 as libc::c_uint,
                            0xf0000010 as libc::c_uint,
                            0xb0000008 as libc::c_uint,
                            0x40000000 as libc::c_int as uint32_t,
                            0x90000000 as libc::c_uint,
                            0xf0000010 as libc::c_uint,
                            0x90000018 as libc::c_uint,
                            0x60000000 as libc::c_int as uint32_t,
                            0x90000010 as libc::c_uint,
                            0x90000010 as libc::c_uint,
                            0x90000000 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0x20000000 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0x20000010 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x10 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x10 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x20 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0x40000040 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0x80000004 as libc::c_uint,
                            0x80000080 as libc::c_uint,
                            0x80000006 as libc::c_uint,
                            0x49 as libc::c_int as uint32_t,
                            0x103 as libc::c_int as uint32_t,
                            0x80000009 as libc::c_uint,
                            0x80000012 as libc::c_uint,
                            0x80000202 as libc::c_uint,
                            0x18 as libc::c_int as uint32_t,
                            0x164 as libc::c_int as uint32_t,
                            0x408 as libc::c_int as uint32_t,
                            0x800000e6 as libc::c_uint,
                            0x8000004c as libc::c_uint,
                            0x803 as libc::c_int as uint32_t],};
         init
     },
     {
         let mut init =
             dv_info_t{dvType: 1 as libc::c_int,
                       dvK: 46 as libc::c_int,
                       dvB: 0 as libc::c_int,
                       testt: 58 as libc::c_int,
                       maski: 0 as libc::c_int,
                       maskb: 3 as libc::c_int,
                       dm:
                           [0x2c000010 as libc::c_int as uint32_t,
                            0xf4000014 as libc::c_uint,
                            0xb4000008 as libc::c_uint,
                            0x8000000 as libc::c_int as uint32_t,
                            0x9800000c as libc::c_uint,
                            0xd8000010 as libc::c_uint,
                            0x8000010 as libc::c_int as uint32_t,
                            0xb8000010 as libc::c_uint,
                            0x98000000 as libc::c_uint,
                            0x60000000 as libc::c_int as uint32_t,
                            0x8 as libc::c_int as uint32_t,
                            0xc0000000 as libc::c_uint,
                            0x90000014 as libc::c_uint,
                            0x10000010 as libc::c_int as uint32_t,
                            0xb8000014 as libc::c_uint,
                            0x28000000 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0x48000000 as libc::c_int as uint32_t,
                            0x8000018 as libc::c_int as uint32_t,
                            0x60000000 as libc::c_int as uint32_t,
                            0x90000010 as libc::c_uint,
                            0xf0000010 as libc::c_uint,
                            0x90000008 as libc::c_uint,
                            0xc0000000 as libc::c_uint,
                            0x90000010 as libc::c_uint,
                            0xf0000010 as libc::c_uint,
                            0xb0000008 as libc::c_uint,
                            0x40000000 as libc::c_int as uint32_t,
                            0x90000000 as libc::c_uint,
                            0xf0000010 as libc::c_uint,
                            0x90000018 as libc::c_uint,
                            0x60000000 as libc::c_int as uint32_t,
                            0x90000010 as libc::c_uint,
                            0x90000010 as libc::c_uint,
                            0x90000000 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0x20000000 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0x20000010 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x10 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x10 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x20 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0x40000040 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0x80000004 as libc::c_uint,
                            0x80000080 as libc::c_uint,
                            0x80000006 as libc::c_uint,
                            0x49 as libc::c_int as uint32_t,
                            0x103 as libc::c_int as uint32_t,
                            0x80000009 as libc::c_uint,
                            0x80000012 as libc::c_uint,
                            0x80000202 as libc::c_uint,
                            0x18 as libc::c_int as uint32_t,
                            0x164 as libc::c_int as uint32_t,
                            0x408 as libc::c_int as uint32_t,
                            0x800000e6 as libc::c_uint,
                            0x8000004c as libc::c_uint],};
         init
     },
     {
         let mut init =
             dv_info_t{dvType: 1 as libc::c_int,
                       dvK: 46 as libc::c_int,
                       dvB: 2 as libc::c_int,
                       testt: 58 as libc::c_int,
                       maski: 0 as libc::c_int,
                       maskb: 4 as libc::c_int,
                       dm:
                           [0xb0000040 as libc::c_uint,
                            0xd0000053 as libc::c_uint,
                            0xd0000022 as libc::c_uint,
                            0x20000000 as libc::c_int as uint32_t,
                            0x60000032 as libc::c_int as uint32_t,
                            0x60000043 as libc::c_int as uint32_t,
                            0x20000040 as libc::c_int as uint32_t,
                            0xe0000042 as libc::c_uint,
                            0x60000002 as libc::c_int as uint32_t,
                            0x80000001 as libc::c_uint,
                            0x20 as libc::c_int as uint32_t,
                            0x3 as libc::c_int as uint32_t,
                            0x40000052 as libc::c_int as uint32_t,
                            0x40000040 as libc::c_int as uint32_t,
                            0xe0000052 as libc::c_uint,
                            0xa0000000 as libc::c_uint,
                            0x80000040 as libc::c_uint,
                            0x20000001 as libc::c_int as uint32_t,
                            0x20000060 as libc::c_int as uint32_t,
                            0x80000001 as libc::c_uint,
                            0x40000042 as libc::c_int as uint32_t,
                            0xc0000043 as libc::c_uint,
                            0x40000022 as libc::c_int as uint32_t,
                            0x3 as libc::c_int as uint32_t,
                            0x40000042 as libc::c_int as uint32_t,
                            0xc0000043 as libc::c_uint,
                            0xc0000022 as libc::c_uint,
                            0x1 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0xc0000043 as libc::c_uint,
                            0x40000062 as libc::c_int as uint32_t,
                            0x80000001 as libc::c_uint,
                            0x40000042 as libc::c_int as uint32_t,
                            0x40000042 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0x2 as libc::c_int as uint32_t,
                            0x40 as libc::c_int as uint32_t,
                            0x80000002 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0x80000002 as libc::c_uint,
                            0x80000040 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0x80000040 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0x40 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x40 as libc::c_int as uint32_t,
                            0x80000002 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x4 as libc::c_int as uint32_t,
                            0x80 as libc::c_int as uint32_t,
                            0x4 as libc::c_int as uint32_t,
                            0x9 as libc::c_int as uint32_t,
                            0x101 as libc::c_int as uint32_t,
                            0x9 as libc::c_int as uint32_t,
                            0x12 as libc::c_int as uint32_t,
                            0x202 as libc::c_int as uint32_t,
                            0x1a as libc::c_int as uint32_t,
                            0x124 as libc::c_int as uint32_t,
                            0x40c as libc::c_int as uint32_t,
                            0x26 as libc::c_int as uint32_t,
                            0x4a as libc::c_int as uint32_t,
                            0x80a as libc::c_int as uint32_t,
                            0x60 as libc::c_int as uint32_t,
                            0x590 as libc::c_int as uint32_t,
                            0x1020 as libc::c_int as uint32_t,
                            0x39a as libc::c_int as uint32_t,
                            0x132 as libc::c_int as uint32_t],};
         init
     },
     {
         let mut init =
             dv_info_t{dvType: 1 as libc::c_int,
                       dvK: 47 as libc::c_int,
                       dvB: 0 as libc::c_int,
                       testt: 58 as libc::c_int,
                       maski: 0 as libc::c_int,
                       maskb: 5 as libc::c_int,
                       dm:
                           [0xc8000010 as libc::c_uint,
                            0x2c000010 as libc::c_int as uint32_t,
                            0xf4000014 as libc::c_uint,
                            0xb4000008 as libc::c_uint,
                            0x8000000 as libc::c_int as uint32_t,
                            0x9800000c as libc::c_uint,
                            0xd8000010 as libc::c_uint,
                            0x8000010 as libc::c_int as uint32_t,
                            0xb8000010 as libc::c_uint,
                            0x98000000 as libc::c_uint,
                            0x60000000 as libc::c_int as uint32_t,
                            0x8 as libc::c_int as uint32_t,
                            0xc0000000 as libc::c_uint,
                            0x90000014 as libc::c_uint,
                            0x10000010 as libc::c_int as uint32_t,
                            0xb8000014 as libc::c_uint,
                            0x28000000 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0x48000000 as libc::c_int as uint32_t,
                            0x8000018 as libc::c_int as uint32_t,
                            0x60000000 as libc::c_int as uint32_t,
                            0x90000010 as libc::c_uint,
                            0xf0000010 as libc::c_uint,
                            0x90000008 as libc::c_uint,
                            0xc0000000 as libc::c_uint,
                            0x90000010 as libc::c_uint,
                            0xf0000010 as libc::c_uint,
                            0xb0000008 as libc::c_uint,
                            0x40000000 as libc::c_int as uint32_t,
                            0x90000000 as libc::c_uint,
                            0xf0000010 as libc::c_uint,
                            0x90000018 as libc::c_uint,
                            0x60000000 as libc::c_int as uint32_t,
                            0x90000010 as libc::c_uint,
                            0x90000010 as libc::c_uint,
                            0x90000000 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0x20000000 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0x20000010 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x10 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x10 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x20 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0x40000040 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0x80000004 as libc::c_uint,
                            0x80000080 as libc::c_uint,
                            0x80000006 as libc::c_uint,
                            0x49 as libc::c_int as uint32_t,
                            0x103 as libc::c_int as uint32_t,
                            0x80000009 as libc::c_uint,
                            0x80000012 as libc::c_uint,
                            0x80000202 as libc::c_uint,
                            0x18 as libc::c_int as uint32_t,
                            0x164 as libc::c_int as uint32_t,
                            0x408 as libc::c_int as uint32_t,
                            0x800000e6 as libc::c_uint],};
         init
     },
     {
         let mut init =
             dv_info_t{dvType: 1 as libc::c_int,
                       dvK: 47 as libc::c_int,
                       dvB: 2 as libc::c_int,
                       testt: 58 as libc::c_int,
                       maski: 0 as libc::c_int,
                       maskb: 6 as libc::c_int,
                       dm:
                           [0x20000043 as libc::c_int as uint32_t,
                            0xb0000040 as libc::c_uint,
                            0xd0000053 as libc::c_uint,
                            0xd0000022 as libc::c_uint,
                            0x20000000 as libc::c_int as uint32_t,
                            0x60000032 as libc::c_int as uint32_t,
                            0x60000043 as libc::c_int as uint32_t,
                            0x20000040 as libc::c_int as uint32_t,
                            0xe0000042 as libc::c_uint,
                            0x60000002 as libc::c_int as uint32_t,
                            0x80000001 as libc::c_uint,
                            0x20 as libc::c_int as uint32_t,
                            0x3 as libc::c_int as uint32_t,
                            0x40000052 as libc::c_int as uint32_t,
                            0x40000040 as libc::c_int as uint32_t,
                            0xe0000052 as libc::c_uint,
                            0xa0000000 as libc::c_uint,
                            0x80000040 as libc::c_uint,
                            0x20000001 as libc::c_int as uint32_t,
                            0x20000060 as libc::c_int as uint32_t,
                            0x80000001 as libc::c_uint,
                            0x40000042 as libc::c_int as uint32_t,
                            0xc0000043 as libc::c_uint,
                            0x40000022 as libc::c_int as uint32_t,
                            0x3 as libc::c_int as uint32_t,
                            0x40000042 as libc::c_int as uint32_t,
                            0xc0000043 as libc::c_uint,
                            0xc0000022 as libc::c_uint,
                            0x1 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0xc0000043 as libc::c_uint,
                            0x40000062 as libc::c_int as uint32_t,
                            0x80000001 as libc::c_uint,
                            0x40000042 as libc::c_int as uint32_t,
                            0x40000042 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0x2 as libc::c_int as uint32_t,
                            0x40 as libc::c_int as uint32_t,
                            0x80000002 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0x80000002 as libc::c_uint,
                            0x80000040 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0x80000040 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0x40 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x40 as libc::c_int as uint32_t,
                            0x80000002 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x4 as libc::c_int as uint32_t,
                            0x80 as libc::c_int as uint32_t,
                            0x4 as libc::c_int as uint32_t,
                            0x9 as libc::c_int as uint32_t,
                            0x101 as libc::c_int as uint32_t,
                            0x9 as libc::c_int as uint32_t,
                            0x12 as libc::c_int as uint32_t,
                            0x202 as libc::c_int as uint32_t,
                            0x1a as libc::c_int as uint32_t,
                            0x124 as libc::c_int as uint32_t,
                            0x40c as libc::c_int as uint32_t,
                            0x26 as libc::c_int as uint32_t,
                            0x4a as libc::c_int as uint32_t,
                            0x80a as libc::c_int as uint32_t,
                            0x60 as libc::c_int as uint32_t,
                            0x590 as libc::c_int as uint32_t,
                            0x1020 as libc::c_int as uint32_t,
                            0x39a as libc::c_int as uint32_t],};
         init
     },
     {
         let mut init =
             dv_info_t{dvType: 1 as libc::c_int,
                       dvK: 48 as libc::c_int,
                       dvB: 0 as libc::c_int,
                       testt: 58 as libc::c_int,
                       maski: 0 as libc::c_int,
                       maskb: 7 as libc::c_int,
                       dm:
                           [0xb800000a as libc::c_uint,
                            0xc8000010 as libc::c_uint,
                            0x2c000010 as libc::c_int as uint32_t,
                            0xf4000014 as libc::c_uint,
                            0xb4000008 as libc::c_uint,
                            0x8000000 as libc::c_int as uint32_t,
                            0x9800000c as libc::c_uint,
                            0xd8000010 as libc::c_uint,
                            0x8000010 as libc::c_int as uint32_t,
                            0xb8000010 as libc::c_uint,
                            0x98000000 as libc::c_uint,
                            0x60000000 as libc::c_int as uint32_t,
                            0x8 as libc::c_int as uint32_t,
                            0xc0000000 as libc::c_uint,
                            0x90000014 as libc::c_uint,
                            0x10000010 as libc::c_int as uint32_t,
                            0xb8000014 as libc::c_uint,
                            0x28000000 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0x48000000 as libc::c_int as uint32_t,
                            0x8000018 as libc::c_int as uint32_t,
                            0x60000000 as libc::c_int as uint32_t,
                            0x90000010 as libc::c_uint,
                            0xf0000010 as libc::c_uint,
                            0x90000008 as libc::c_uint,
                            0xc0000000 as libc::c_uint,
                            0x90000010 as libc::c_uint,
                            0xf0000010 as libc::c_uint,
                            0xb0000008 as libc::c_uint,
                            0x40000000 as libc::c_int as uint32_t,
                            0x90000000 as libc::c_uint,
                            0xf0000010 as libc::c_uint,
                            0x90000018 as libc::c_uint,
                            0x60000000 as libc::c_int as uint32_t,
                            0x90000010 as libc::c_uint,
                            0x90000010 as libc::c_uint,
                            0x90000000 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0x20000000 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0x20000010 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x10 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x10 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x20 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0x40000040 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0x80000004 as libc::c_uint,
                            0x80000080 as libc::c_uint,
                            0x80000006 as libc::c_uint,
                            0x49 as libc::c_int as uint32_t,
                            0x103 as libc::c_int as uint32_t,
                            0x80000009 as libc::c_uint,
                            0x80000012 as libc::c_uint,
                            0x80000202 as libc::c_uint,
                            0x18 as libc::c_int as uint32_t,
                            0x164 as libc::c_int as uint32_t,
                            0x408 as libc::c_int as uint32_t],};
         init
     },
     {
         let mut init =
             dv_info_t{dvType: 1 as libc::c_int,
                       dvK: 48 as libc::c_int,
                       dvB: 2 as libc::c_int,
                       testt: 58 as libc::c_int,
                       maski: 0 as libc::c_int,
                       maskb: 8 as libc::c_int,
                       dm:
                           [0xe000002a as libc::c_uint,
                            0x20000043 as libc::c_int as uint32_t,
                            0xb0000040 as libc::c_uint,
                            0xd0000053 as libc::c_uint,
                            0xd0000022 as libc::c_uint,
                            0x20000000 as libc::c_int as uint32_t,
                            0x60000032 as libc::c_int as uint32_t,
                            0x60000043 as libc::c_int as uint32_t,
                            0x20000040 as libc::c_int as uint32_t,
                            0xe0000042 as libc::c_uint,
                            0x60000002 as libc::c_int as uint32_t,
                            0x80000001 as libc::c_uint,
                            0x20 as libc::c_int as uint32_t,
                            0x3 as libc::c_int as uint32_t,
                            0x40000052 as libc::c_int as uint32_t,
                            0x40000040 as libc::c_int as uint32_t,
                            0xe0000052 as libc::c_uint,
                            0xa0000000 as libc::c_uint,
                            0x80000040 as libc::c_uint,
                            0x20000001 as libc::c_int as uint32_t,
                            0x20000060 as libc::c_int as uint32_t,
                            0x80000001 as libc::c_uint,
                            0x40000042 as libc::c_int as uint32_t,
                            0xc0000043 as libc::c_uint,
                            0x40000022 as libc::c_int as uint32_t,
                            0x3 as libc::c_int as uint32_t,
                            0x40000042 as libc::c_int as uint32_t,
                            0xc0000043 as libc::c_uint,
                            0xc0000022 as libc::c_uint,
                            0x1 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0xc0000043 as libc::c_uint,
                            0x40000062 as libc::c_int as uint32_t,
                            0x80000001 as libc::c_uint,
                            0x40000042 as libc::c_int as uint32_t,
                            0x40000042 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0x2 as libc::c_int as uint32_t,
                            0x40 as libc::c_int as uint32_t,
                            0x80000002 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0x80000002 as libc::c_uint,
                            0x80000040 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0x80000040 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0x40 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x40 as libc::c_int as uint32_t,
                            0x80000002 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x4 as libc::c_int as uint32_t,
                            0x80 as libc::c_int as uint32_t,
                            0x4 as libc::c_int as uint32_t,
                            0x9 as libc::c_int as uint32_t,
                            0x101 as libc::c_int as uint32_t,
                            0x9 as libc::c_int as uint32_t,
                            0x12 as libc::c_int as uint32_t,
                            0x202 as libc::c_int as uint32_t,
                            0x1a as libc::c_int as uint32_t,
                            0x124 as libc::c_int as uint32_t,
                            0x40c as libc::c_int as uint32_t,
                            0x26 as libc::c_int as uint32_t,
                            0x4a as libc::c_int as uint32_t,
                            0x80a as libc::c_int as uint32_t,
                            0x60 as libc::c_int as uint32_t,
                            0x590 as libc::c_int as uint32_t,
                            0x1020 as libc::c_int as uint32_t],};
         init
     },
     {
         let mut init =
             dv_info_t{dvType: 1 as libc::c_int,
                       dvK: 49 as libc::c_int,
                       dvB: 0 as libc::c_int,
                       testt: 58 as libc::c_int,
                       maski: 0 as libc::c_int,
                       maskb: 9 as libc::c_int,
                       dm:
                           [0x18000000 as libc::c_int as uint32_t,
                            0xb800000a as libc::c_uint,
                            0xc8000010 as libc::c_uint,
                            0x2c000010 as libc::c_int as uint32_t,
                            0xf4000014 as libc::c_uint,
                            0xb4000008 as libc::c_uint,
                            0x8000000 as libc::c_int as uint32_t,
                            0x9800000c as libc::c_uint,
                            0xd8000010 as libc::c_uint,
                            0x8000010 as libc::c_int as uint32_t,
                            0xb8000010 as libc::c_uint,
                            0x98000000 as libc::c_uint,
                            0x60000000 as libc::c_int as uint32_t,
                            0x8 as libc::c_int as uint32_t,
                            0xc0000000 as libc::c_uint,
                            0x90000014 as libc::c_uint,
                            0x10000010 as libc::c_int as uint32_t,
                            0xb8000014 as libc::c_uint,
                            0x28000000 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0x48000000 as libc::c_int as uint32_t,
                            0x8000018 as libc::c_int as uint32_t,
                            0x60000000 as libc::c_int as uint32_t,
                            0x90000010 as libc::c_uint,
                            0xf0000010 as libc::c_uint,
                            0x90000008 as libc::c_uint,
                            0xc0000000 as libc::c_uint,
                            0x90000010 as libc::c_uint,
                            0xf0000010 as libc::c_uint,
                            0xb0000008 as libc::c_uint,
                            0x40000000 as libc::c_int as uint32_t,
                            0x90000000 as libc::c_uint,
                            0xf0000010 as libc::c_uint,
                            0x90000018 as libc::c_uint,
                            0x60000000 as libc::c_int as uint32_t,
                            0x90000010 as libc::c_uint,
                            0x90000010 as libc::c_uint,
                            0x90000000 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0x20000000 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0x20000010 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x10 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x10 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x20 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0x40000040 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0x80000004 as libc::c_uint,
                            0x80000080 as libc::c_uint,
                            0x80000006 as libc::c_uint,
                            0x49 as libc::c_int as uint32_t,
                            0x103 as libc::c_int as uint32_t,
                            0x80000009 as libc::c_uint,
                            0x80000012 as libc::c_uint,
                            0x80000202 as libc::c_uint,
                            0x18 as libc::c_int as uint32_t,
                            0x164 as libc::c_int as uint32_t],};
         init
     },
     {
         let mut init =
             dv_info_t{dvType: 1 as libc::c_int,
                       dvK: 49 as libc::c_int,
                       dvB: 2 as libc::c_int,
                       testt: 58 as libc::c_int,
                       maski: 0 as libc::c_int,
                       maskb: 10 as libc::c_int,
                       dm:
                           [0x60000000 as libc::c_int as uint32_t,
                            0xe000002a as libc::c_uint,
                            0x20000043 as libc::c_int as uint32_t,
                            0xb0000040 as libc::c_uint,
                            0xd0000053 as libc::c_uint,
                            0xd0000022 as libc::c_uint,
                            0x20000000 as libc::c_int as uint32_t,
                            0x60000032 as libc::c_int as uint32_t,
                            0x60000043 as libc::c_int as uint32_t,
                            0x20000040 as libc::c_int as uint32_t,
                            0xe0000042 as libc::c_uint,
                            0x60000002 as libc::c_int as uint32_t,
                            0x80000001 as libc::c_uint,
                            0x20 as libc::c_int as uint32_t,
                            0x3 as libc::c_int as uint32_t,
                            0x40000052 as libc::c_int as uint32_t,
                            0x40000040 as libc::c_int as uint32_t,
                            0xe0000052 as libc::c_uint,
                            0xa0000000 as libc::c_uint,
                            0x80000040 as libc::c_uint,
                            0x20000001 as libc::c_int as uint32_t,
                            0x20000060 as libc::c_int as uint32_t,
                            0x80000001 as libc::c_uint,
                            0x40000042 as libc::c_int as uint32_t,
                            0xc0000043 as libc::c_uint,
                            0x40000022 as libc::c_int as uint32_t,
                            0x3 as libc::c_int as uint32_t,
                            0x40000042 as libc::c_int as uint32_t,
                            0xc0000043 as libc::c_uint,
                            0xc0000022 as libc::c_uint,
                            0x1 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0xc0000043 as libc::c_uint,
                            0x40000062 as libc::c_int as uint32_t,
                            0x80000001 as libc::c_uint,
                            0x40000042 as libc::c_int as uint32_t,
                            0x40000042 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0x2 as libc::c_int as uint32_t,
                            0x40 as libc::c_int as uint32_t,
                            0x80000002 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0x80000002 as libc::c_uint,
                            0x80000040 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0x80000040 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0x40 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x40 as libc::c_int as uint32_t,
                            0x80000002 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x4 as libc::c_int as uint32_t,
                            0x80 as libc::c_int as uint32_t,
                            0x4 as libc::c_int as uint32_t,
                            0x9 as libc::c_int as uint32_t,
                            0x101 as libc::c_int as uint32_t,
                            0x9 as libc::c_int as uint32_t,
                            0x12 as libc::c_int as uint32_t,
                            0x202 as libc::c_int as uint32_t,
                            0x1a as libc::c_int as uint32_t,
                            0x124 as libc::c_int as uint32_t,
                            0x40c as libc::c_int as uint32_t,
                            0x26 as libc::c_int as uint32_t,
                            0x4a as libc::c_int as uint32_t,
                            0x80a as libc::c_int as uint32_t,
                            0x60 as libc::c_int as uint32_t,
                            0x590 as libc::c_int as uint32_t],};
         init
     },
     {
         let mut init =
             dv_info_t{dvType: 1 as libc::c_int,
                       dvK: 50 as libc::c_int,
                       dvB: 0 as libc::c_int,
                       testt: 65 as libc::c_int,
                       maski: 0 as libc::c_int,
                       maskb: 11 as libc::c_int,
                       dm:
                           [0x800000c as libc::c_int as uint32_t,
                            0x18000000 as libc::c_int as uint32_t,
                            0xb800000a as libc::c_uint,
                            0xc8000010 as libc::c_uint,
                            0x2c000010 as libc::c_int as uint32_t,
                            0xf4000014 as libc::c_uint,
                            0xb4000008 as libc::c_uint,
                            0x8000000 as libc::c_int as uint32_t,
                            0x9800000c as libc::c_uint,
                            0xd8000010 as libc::c_uint,
                            0x8000010 as libc::c_int as uint32_t,
                            0xb8000010 as libc::c_uint,
                            0x98000000 as libc::c_uint,
                            0x60000000 as libc::c_int as uint32_t,
                            0x8 as libc::c_int as uint32_t,
                            0xc0000000 as libc::c_uint,
                            0x90000014 as libc::c_uint,
                            0x10000010 as libc::c_int as uint32_t,
                            0xb8000014 as libc::c_uint,
                            0x28000000 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0x48000000 as libc::c_int as uint32_t,
                            0x8000018 as libc::c_int as uint32_t,
                            0x60000000 as libc::c_int as uint32_t,
                            0x90000010 as libc::c_uint,
                            0xf0000010 as libc::c_uint,
                            0x90000008 as libc::c_uint,
                            0xc0000000 as libc::c_uint,
                            0x90000010 as libc::c_uint,
                            0xf0000010 as libc::c_uint,
                            0xb0000008 as libc::c_uint,
                            0x40000000 as libc::c_int as uint32_t,
                            0x90000000 as libc::c_uint,
                            0xf0000010 as libc::c_uint,
                            0x90000018 as libc::c_uint,
                            0x60000000 as libc::c_int as uint32_t,
                            0x90000010 as libc::c_uint,
                            0x90000010 as libc::c_uint,
                            0x90000000 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0x20000000 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0x20000010 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x10 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x10 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x20 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0x40000040 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0x80000004 as libc::c_uint,
                            0x80000080 as libc::c_uint,
                            0x80000006 as libc::c_uint,
                            0x49 as libc::c_int as uint32_t,
                            0x103 as libc::c_int as uint32_t,
                            0x80000009 as libc::c_uint,
                            0x80000012 as libc::c_uint,
                            0x80000202 as libc::c_uint,
                            0x18 as libc::c_int as uint32_t],};
         init
     },
     {
         let mut init =
             dv_info_t{dvType: 1 as libc::c_int,
                       dvK: 50 as libc::c_int,
                       dvB: 2 as libc::c_int,
                       testt: 65 as libc::c_int,
                       maski: 0 as libc::c_int,
                       maskb: 12 as libc::c_int,
                       dm:
                           [0x20000030 as libc::c_int as uint32_t,
                            0x60000000 as libc::c_int as uint32_t,
                            0xe000002a as libc::c_uint,
                            0x20000043 as libc::c_int as uint32_t,
                            0xb0000040 as libc::c_uint,
                            0xd0000053 as libc::c_uint,
                            0xd0000022 as libc::c_uint,
                            0x20000000 as libc::c_int as uint32_t,
                            0x60000032 as libc::c_int as uint32_t,
                            0x60000043 as libc::c_int as uint32_t,
                            0x20000040 as libc::c_int as uint32_t,
                            0xe0000042 as libc::c_uint,
                            0x60000002 as libc::c_int as uint32_t,
                            0x80000001 as libc::c_uint,
                            0x20 as libc::c_int as uint32_t,
                            0x3 as libc::c_int as uint32_t,
                            0x40000052 as libc::c_int as uint32_t,
                            0x40000040 as libc::c_int as uint32_t,
                            0xe0000052 as libc::c_uint,
                            0xa0000000 as libc::c_uint,
                            0x80000040 as libc::c_uint,
                            0x20000001 as libc::c_int as uint32_t,
                            0x20000060 as libc::c_int as uint32_t,
                            0x80000001 as libc::c_uint,
                            0x40000042 as libc::c_int as uint32_t,
                            0xc0000043 as libc::c_uint,
                            0x40000022 as libc::c_int as uint32_t,
                            0x3 as libc::c_int as uint32_t,
                            0x40000042 as libc::c_int as uint32_t,
                            0xc0000043 as libc::c_uint,
                            0xc0000022 as libc::c_uint,
                            0x1 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0xc0000043 as libc::c_uint,
                            0x40000062 as libc::c_int as uint32_t,
                            0x80000001 as libc::c_uint,
                            0x40000042 as libc::c_int as uint32_t,
                            0x40000042 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0x2 as libc::c_int as uint32_t,
                            0x40 as libc::c_int as uint32_t,
                            0x80000002 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0x80000002 as libc::c_uint,
                            0x80000040 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0x80000040 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0x40 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x40 as libc::c_int as uint32_t,
                            0x80000002 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x4 as libc::c_int as uint32_t,
                            0x80 as libc::c_int as uint32_t,
                            0x4 as libc::c_int as uint32_t,
                            0x9 as libc::c_int as uint32_t,
                            0x101 as libc::c_int as uint32_t,
                            0x9 as libc::c_int as uint32_t,
                            0x12 as libc::c_int as uint32_t,
                            0x202 as libc::c_int as uint32_t,
                            0x1a as libc::c_int as uint32_t,
                            0x124 as libc::c_int as uint32_t,
                            0x40c as libc::c_int as uint32_t,
                            0x26 as libc::c_int as uint32_t,
                            0x4a as libc::c_int as uint32_t,
                            0x80a as libc::c_int as uint32_t,
                            0x60 as libc::c_int as uint32_t],};
         init
     },
     {
         let mut init =
             dv_info_t{dvType: 1 as libc::c_int,
                       dvK: 51 as libc::c_int,
                       dvB: 0 as libc::c_int,
                       testt: 65 as libc::c_int,
                       maski: 0 as libc::c_int,
                       maskb: 13 as libc::c_int,
                       dm:
                           [0xe8000000 as libc::c_uint,
                            0x800000c as libc::c_int as uint32_t,
                            0x18000000 as libc::c_int as uint32_t,
                            0xb800000a as libc::c_uint,
                            0xc8000010 as libc::c_uint,
                            0x2c000010 as libc::c_int as uint32_t,
                            0xf4000014 as libc::c_uint,
                            0xb4000008 as libc::c_uint,
                            0x8000000 as libc::c_int as uint32_t,
                            0x9800000c as libc::c_uint,
                            0xd8000010 as libc::c_uint,
                            0x8000010 as libc::c_int as uint32_t,
                            0xb8000010 as libc::c_uint,
                            0x98000000 as libc::c_uint,
                            0x60000000 as libc::c_int as uint32_t,
                            0x8 as libc::c_int as uint32_t,
                            0xc0000000 as libc::c_uint,
                            0x90000014 as libc::c_uint,
                            0x10000010 as libc::c_int as uint32_t,
                            0xb8000014 as libc::c_uint,
                            0x28000000 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0x48000000 as libc::c_int as uint32_t,
                            0x8000018 as libc::c_int as uint32_t,
                            0x60000000 as libc::c_int as uint32_t,
                            0x90000010 as libc::c_uint,
                            0xf0000010 as libc::c_uint,
                            0x90000008 as libc::c_uint,
                            0xc0000000 as libc::c_uint,
                            0x90000010 as libc::c_uint,
                            0xf0000010 as libc::c_uint,
                            0xb0000008 as libc::c_uint,
                            0x40000000 as libc::c_int as uint32_t,
                            0x90000000 as libc::c_uint,
                            0xf0000010 as libc::c_uint,
                            0x90000018 as libc::c_uint,
                            0x60000000 as libc::c_int as uint32_t,
                            0x90000010 as libc::c_uint,
                            0x90000010 as libc::c_uint,
                            0x90000000 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0x20000000 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0x20000010 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x10 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x10 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x20 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0x40000040 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0x80000004 as libc::c_uint,
                            0x80000080 as libc::c_uint,
                            0x80000006 as libc::c_uint,
                            0x49 as libc::c_int as uint32_t,
                            0x103 as libc::c_int as uint32_t,
                            0x80000009 as libc::c_uint,
                            0x80000012 as libc::c_uint,
                            0x80000202 as libc::c_uint],};
         init
     },
     {
         let mut init =
             dv_info_t{dvType: 1 as libc::c_int,
                       dvK: 51 as libc::c_int,
                       dvB: 2 as libc::c_int,
                       testt: 65 as libc::c_int,
                       maski: 0 as libc::c_int,
                       maskb: 14 as libc::c_int,
                       dm:
                           [0xa0000003 as libc::c_uint,
                            0x20000030 as libc::c_int as uint32_t,
                            0x60000000 as libc::c_int as uint32_t,
                            0xe000002a as libc::c_uint,
                            0x20000043 as libc::c_int as uint32_t,
                            0xb0000040 as libc::c_uint,
                            0xd0000053 as libc::c_uint,
                            0xd0000022 as libc::c_uint,
                            0x20000000 as libc::c_int as uint32_t,
                            0x60000032 as libc::c_int as uint32_t,
                            0x60000043 as libc::c_int as uint32_t,
                            0x20000040 as libc::c_int as uint32_t,
                            0xe0000042 as libc::c_uint,
                            0x60000002 as libc::c_int as uint32_t,
                            0x80000001 as libc::c_uint,
                            0x20 as libc::c_int as uint32_t,
                            0x3 as libc::c_int as uint32_t,
                            0x40000052 as libc::c_int as uint32_t,
                            0x40000040 as libc::c_int as uint32_t,
                            0xe0000052 as libc::c_uint,
                            0xa0000000 as libc::c_uint,
                            0x80000040 as libc::c_uint,
                            0x20000001 as libc::c_int as uint32_t,
                            0x20000060 as libc::c_int as uint32_t,
                            0x80000001 as libc::c_uint,
                            0x40000042 as libc::c_int as uint32_t,
                            0xc0000043 as libc::c_uint,
                            0x40000022 as libc::c_int as uint32_t,
                            0x3 as libc::c_int as uint32_t,
                            0x40000042 as libc::c_int as uint32_t,
                            0xc0000043 as libc::c_uint,
                            0xc0000022 as libc::c_uint,
                            0x1 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0xc0000043 as libc::c_uint,
                            0x40000062 as libc::c_int as uint32_t,
                            0x80000001 as libc::c_uint,
                            0x40000042 as libc::c_int as uint32_t,
                            0x40000042 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0x2 as libc::c_int as uint32_t,
                            0x40 as libc::c_int as uint32_t,
                            0x80000002 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0x80000002 as libc::c_uint,
                            0x80000040 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0x80000040 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0x40 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x40 as libc::c_int as uint32_t,
                            0x80000002 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x4 as libc::c_int as uint32_t,
                            0x80 as libc::c_int as uint32_t,
                            0x4 as libc::c_int as uint32_t,
                            0x9 as libc::c_int as uint32_t,
                            0x101 as libc::c_int as uint32_t,
                            0x9 as libc::c_int as uint32_t,
                            0x12 as libc::c_int as uint32_t,
                            0x202 as libc::c_int as uint32_t,
                            0x1a as libc::c_int as uint32_t,
                            0x124 as libc::c_int as uint32_t,
                            0x40c as libc::c_int as uint32_t,
                            0x26 as libc::c_int as uint32_t,
                            0x4a as libc::c_int as uint32_t,
                            0x80a as libc::c_int as uint32_t],};
         init
     },
     {
         let mut init =
             dv_info_t{dvType: 1 as libc::c_int,
                       dvK: 52 as libc::c_int,
                       dvB: 0 as libc::c_int,
                       testt: 65 as libc::c_int,
                       maski: 0 as libc::c_int,
                       maskb: 15 as libc::c_int,
                       dm:
                           [0x4000010 as libc::c_int as uint32_t,
                            0xe8000000 as libc::c_uint,
                            0x800000c as libc::c_int as uint32_t,
                            0x18000000 as libc::c_int as uint32_t,
                            0xb800000a as libc::c_uint,
                            0xc8000010 as libc::c_uint,
                            0x2c000010 as libc::c_int as uint32_t,
                            0xf4000014 as libc::c_uint,
                            0xb4000008 as libc::c_uint,
                            0x8000000 as libc::c_int as uint32_t,
                            0x9800000c as libc::c_uint,
                            0xd8000010 as libc::c_uint,
                            0x8000010 as libc::c_int as uint32_t,
                            0xb8000010 as libc::c_uint,
                            0x98000000 as libc::c_uint,
                            0x60000000 as libc::c_int as uint32_t,
                            0x8 as libc::c_int as uint32_t,
                            0xc0000000 as libc::c_uint,
                            0x90000014 as libc::c_uint,
                            0x10000010 as libc::c_int as uint32_t,
                            0xb8000014 as libc::c_uint,
                            0x28000000 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0x48000000 as libc::c_int as uint32_t,
                            0x8000018 as libc::c_int as uint32_t,
                            0x60000000 as libc::c_int as uint32_t,
                            0x90000010 as libc::c_uint,
                            0xf0000010 as libc::c_uint,
                            0x90000008 as libc::c_uint,
                            0xc0000000 as libc::c_uint,
                            0x90000010 as libc::c_uint,
                            0xf0000010 as libc::c_uint,
                            0xb0000008 as libc::c_uint,
                            0x40000000 as libc::c_int as uint32_t,
                            0x90000000 as libc::c_uint,
                            0xf0000010 as libc::c_uint,
                            0x90000018 as libc::c_uint,
                            0x60000000 as libc::c_int as uint32_t,
                            0x90000010 as libc::c_uint,
                            0x90000010 as libc::c_uint,
                            0x90000000 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0x20000000 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0x20000010 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x10 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x10 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x20 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0x40000040 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0x80000004 as libc::c_uint,
                            0x80000080 as libc::c_uint,
                            0x80000006 as libc::c_uint,
                            0x49 as libc::c_int as uint32_t,
                            0x103 as libc::c_int as uint32_t,
                            0x80000009 as libc::c_uint,
                            0x80000012 as libc::c_uint],};
         init
     },
     {
         let mut init =
             dv_info_t{dvType: 2 as libc::c_int,
                       dvK: 45 as libc::c_int,
                       dvB: 0 as libc::c_int,
                       testt: 58 as libc::c_int,
                       maski: 0 as libc::c_int,
                       maskb: 16 as libc::c_int,
                       dm:
                           [0xec000014 as libc::c_uint,
                            0xc000002 as libc::c_int as uint32_t,
                            0xc0000010 as libc::c_uint,
                            0xb400001c as libc::c_uint,
                            0x2c000004 as libc::c_int as uint32_t,
                            0xbc000018 as libc::c_uint,
                            0xb0000010 as libc::c_uint,
                            0xc as libc::c_int as uint32_t,
                            0xb8000010 as libc::c_uint,
                            0x8000018 as libc::c_int as uint32_t,
                            0x78000010 as libc::c_int as uint32_t,
                            0x8000014 as libc::c_int as uint32_t,
                            0x70000010 as libc::c_int as uint32_t,
                            0xb800001c as libc::c_uint,
                            0xe8000000 as libc::c_uint,
                            0xb0000004 as libc::c_uint,
                            0x58000010 as libc::c_int as uint32_t,
                            0xb000000c as libc::c_uint,
                            0x48000000 as libc::c_int as uint32_t,
                            0xb0000000 as libc::c_uint,
                            0xb8000010 as libc::c_uint,
                            0x98000010 as libc::c_uint,
                            0xa0000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x10 as libc::c_int as uint32_t,
                            0x60000000 as libc::c_int as uint32_t,
                            0x18 as libc::c_int as uint32_t,
                            0xe0000000 as libc::c_uint,
                            0x90000000 as libc::c_uint,
                            0x30000010 as libc::c_int as uint32_t,
                            0xb0000000 as libc::c_uint,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x20 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0x40000041 as libc::c_int as uint32_t,
                            0x40000022 as libc::c_int as uint32_t,
                            0x80000005 as libc::c_uint,
                            0xc0000082 as libc::c_uint,
                            0xc0000046 as libc::c_uint,
                            0x4000004b as libc::c_int as uint32_t,
                            0x80000107 as libc::c_uint,
                            0x89 as libc::c_int as uint32_t,
                            0x14 as libc::c_int as uint32_t,
                            0x8000024b as libc::c_uint,
                            0x11b as libc::c_int as uint32_t,
                            0x8000016d as libc::c_uint,
                            0x8000041a as libc::c_uint,
                            0x2e4 as libc::c_int as uint32_t,
                            0x80000054 as libc::c_uint,
                            0x967 as libc::c_int as uint32_t],};
         init
     },
     {
         let mut init =
             dv_info_t{dvType: 2 as libc::c_int,
                       dvK: 46 as libc::c_int,
                       dvB: 0 as libc::c_int,
                       testt: 58 as libc::c_int,
                       maski: 0 as libc::c_int,
                       maskb: 17 as libc::c_int,
                       dm:
                           [0x2400001c as libc::c_int as uint32_t,
                            0xec000014 as libc::c_uint,
                            0xc000002 as libc::c_int as uint32_t,
                            0xc0000010 as libc::c_uint,
                            0xb400001c as libc::c_uint,
                            0x2c000004 as libc::c_int as uint32_t,
                            0xbc000018 as libc::c_uint,
                            0xb0000010 as libc::c_uint,
                            0xc as libc::c_int as uint32_t,
                            0xb8000010 as libc::c_uint,
                            0x8000018 as libc::c_int as uint32_t,
                            0x78000010 as libc::c_int as uint32_t,
                            0x8000014 as libc::c_int as uint32_t,
                            0x70000010 as libc::c_int as uint32_t,
                            0xb800001c as libc::c_uint,
                            0xe8000000 as libc::c_uint,
                            0xb0000004 as libc::c_uint,
                            0x58000010 as libc::c_int as uint32_t,
                            0xb000000c as libc::c_uint,
                            0x48000000 as libc::c_int as uint32_t,
                            0xb0000000 as libc::c_uint,
                            0xb8000010 as libc::c_uint,
                            0x98000010 as libc::c_uint,
                            0xa0000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x10 as libc::c_int as uint32_t,
                            0x60000000 as libc::c_int as uint32_t,
                            0x18 as libc::c_int as uint32_t,
                            0xe0000000 as libc::c_uint,
                            0x90000000 as libc::c_uint,
                            0x30000010 as libc::c_int as uint32_t,
                            0xb0000000 as libc::c_uint,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x20 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0x40000041 as libc::c_int as uint32_t,
                            0x40000022 as libc::c_int as uint32_t,
                            0x80000005 as libc::c_uint,
                            0xc0000082 as libc::c_uint,
                            0xc0000046 as libc::c_uint,
                            0x4000004b as libc::c_int as uint32_t,
                            0x80000107 as libc::c_uint,
                            0x89 as libc::c_int as uint32_t,
                            0x14 as libc::c_int as uint32_t,
                            0x8000024b as libc::c_uint,
                            0x11b as libc::c_int as uint32_t,
                            0x8000016d as libc::c_uint,
                            0x8000041a as libc::c_uint,
                            0x2e4 as libc::c_int as uint32_t,
                            0x80000054 as libc::c_uint],};
         init
     },
     {
         let mut init =
             dv_info_t{dvType: 2 as libc::c_int,
                       dvK: 46 as libc::c_int,
                       dvB: 2 as libc::c_int,
                       testt: 58 as libc::c_int,
                       maski: 0 as libc::c_int,
                       maskb: 18 as libc::c_int,
                       dm:
                           [0x90000070 as libc::c_uint,
                            0xb0000053 as libc::c_uint,
                            0x30000008 as libc::c_int as uint32_t,
                            0x43 as libc::c_int as uint32_t,
                            0xd0000072 as libc::c_uint,
                            0xb0000010 as libc::c_uint,
                            0xf0000062 as libc::c_uint,
                            0xc0000042 as libc::c_uint,
                            0x30 as libc::c_int as uint32_t,
                            0xe0000042 as libc::c_uint,
                            0x20000060 as libc::c_int as uint32_t,
                            0xe0000041 as libc::c_uint,
                            0x20000050 as libc::c_int as uint32_t,
                            0xc0000041 as libc::c_uint,
                            0xe0000072 as libc::c_uint,
                            0xa0000003 as libc::c_uint,
                            0xc0000012 as libc::c_uint,
                            0x60000041 as libc::c_int as uint32_t,
                            0xc0000032 as libc::c_uint,
                            0x20000001 as libc::c_int as uint32_t,
                            0xc0000002 as libc::c_uint,
                            0xe0000042 as libc::c_uint,
                            0x60000042 as libc::c_int as uint32_t,
                            0x80000002 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x2 as libc::c_int as uint32_t,
                            0x40 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x80000040 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0x40 as libc::c_int as uint32_t,
                            0x80000001 as libc::c_uint,
                            0x60 as libc::c_int as uint32_t,
                            0x80000003 as libc::c_uint,
                            0x40000002 as libc::c_int as uint32_t,
                            0xc0000040 as libc::c_uint,
                            0xc0000002 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0x80000002 as libc::c_uint,
                            0x40 as libc::c_int as uint32_t,
                            0x2 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0x2 as libc::c_int as uint32_t,
                            0x40 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x80000040 as libc::c_uint,
                            0x80000002 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x4 as libc::c_int as uint32_t,
                            0x80 as libc::c_int as uint32_t,
                            0x4 as libc::c_int as uint32_t,
                            0x9 as libc::c_int as uint32_t,
                            0x105 as libc::c_int as uint32_t,
                            0x89 as libc::c_int as uint32_t,
                            0x16 as libc::c_int as uint32_t,
                            0x20b as libc::c_int as uint32_t,
                            0x11b as libc::c_int as uint32_t,
                            0x12d as libc::c_int as uint32_t,
                            0x41e as libc::c_int as uint32_t,
                            0x224 as libc::c_int as uint32_t,
                            0x50 as libc::c_int as uint32_t,
                            0x92e as libc::c_int as uint32_t,
                            0x46c as libc::c_int as uint32_t,
                            0x5b6 as libc::c_int as uint32_t,
                            0x106a as libc::c_int as uint32_t,
                            0xb90 as libc::c_int as uint32_t,
                            0x152 as libc::c_int as uint32_t],};
         init
     },
     {
         let mut init =
             dv_info_t{dvType: 2 as libc::c_int,
                       dvK: 47 as libc::c_int,
                       dvB: 0 as libc::c_int,
                       testt: 58 as libc::c_int,
                       maski: 0 as libc::c_int,
                       maskb: 19 as libc::c_int,
                       dm:
                           [0x20000010 as libc::c_int as uint32_t,
                            0x2400001c as libc::c_int as uint32_t,
                            0xec000014 as libc::c_uint,
                            0xc000002 as libc::c_int as uint32_t,
                            0xc0000010 as libc::c_uint,
                            0xb400001c as libc::c_uint,
                            0x2c000004 as libc::c_int as uint32_t,
                            0xbc000018 as libc::c_uint,
                            0xb0000010 as libc::c_uint,
                            0xc as libc::c_int as uint32_t,
                            0xb8000010 as libc::c_uint,
                            0x8000018 as libc::c_int as uint32_t,
                            0x78000010 as libc::c_int as uint32_t,
                            0x8000014 as libc::c_int as uint32_t,
                            0x70000010 as libc::c_int as uint32_t,
                            0xb800001c as libc::c_uint,
                            0xe8000000 as libc::c_uint,
                            0xb0000004 as libc::c_uint,
                            0x58000010 as libc::c_int as uint32_t,
                            0xb000000c as libc::c_uint,
                            0x48000000 as libc::c_int as uint32_t,
                            0xb0000000 as libc::c_uint,
                            0xb8000010 as libc::c_uint,
                            0x98000010 as libc::c_uint,
                            0xa0000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x10 as libc::c_int as uint32_t,
                            0x60000000 as libc::c_int as uint32_t,
                            0x18 as libc::c_int as uint32_t,
                            0xe0000000 as libc::c_uint,
                            0x90000000 as libc::c_uint,
                            0x30000010 as libc::c_int as uint32_t,
                            0xb0000000 as libc::c_uint,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x20 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0x40000041 as libc::c_int as uint32_t,
                            0x40000022 as libc::c_int as uint32_t,
                            0x80000005 as libc::c_uint,
                            0xc0000082 as libc::c_uint,
                            0xc0000046 as libc::c_uint,
                            0x4000004b as libc::c_int as uint32_t,
                            0x80000107 as libc::c_uint,
                            0x89 as libc::c_int as uint32_t,
                            0x14 as libc::c_int as uint32_t,
                            0x8000024b as libc::c_uint,
                            0x11b as libc::c_int as uint32_t,
                            0x8000016d as libc::c_uint,
                            0x8000041a as libc::c_uint,
                            0x2e4 as libc::c_int as uint32_t],};
         init
     },
     {
         let mut init =
             dv_info_t{dvType: 2 as libc::c_int,
                       dvK: 48 as libc::c_int,
                       dvB: 0 as libc::c_int,
                       testt: 58 as libc::c_int,
                       maski: 0 as libc::c_int,
                       maskb: 20 as libc::c_int,
                       dm:
                           [0xbc00001a as libc::c_uint,
                            0x20000010 as libc::c_int as uint32_t,
                            0x2400001c as libc::c_int as uint32_t,
                            0xec000014 as libc::c_uint,
                            0xc000002 as libc::c_int as uint32_t,
                            0xc0000010 as libc::c_uint,
                            0xb400001c as libc::c_uint,
                            0x2c000004 as libc::c_int as uint32_t,
                            0xbc000018 as libc::c_uint,
                            0xb0000010 as libc::c_uint,
                            0xc as libc::c_int as uint32_t,
                            0xb8000010 as libc::c_uint,
                            0x8000018 as libc::c_int as uint32_t,
                            0x78000010 as libc::c_int as uint32_t,
                            0x8000014 as libc::c_int as uint32_t,
                            0x70000010 as libc::c_int as uint32_t,
                            0xb800001c as libc::c_uint,
                            0xe8000000 as libc::c_uint,
                            0xb0000004 as libc::c_uint,
                            0x58000010 as libc::c_int as uint32_t,
                            0xb000000c as libc::c_uint,
                            0x48000000 as libc::c_int as uint32_t,
                            0xb0000000 as libc::c_uint,
                            0xb8000010 as libc::c_uint,
                            0x98000010 as libc::c_uint,
                            0xa0000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x10 as libc::c_int as uint32_t,
                            0x60000000 as libc::c_int as uint32_t,
                            0x18 as libc::c_int as uint32_t,
                            0xe0000000 as libc::c_uint,
                            0x90000000 as libc::c_uint,
                            0x30000010 as libc::c_int as uint32_t,
                            0xb0000000 as libc::c_uint,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x20 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0x40000041 as libc::c_int as uint32_t,
                            0x40000022 as libc::c_int as uint32_t,
                            0x80000005 as libc::c_uint,
                            0xc0000082 as libc::c_uint,
                            0xc0000046 as libc::c_uint,
                            0x4000004b as libc::c_int as uint32_t,
                            0x80000107 as libc::c_uint,
                            0x89 as libc::c_int as uint32_t,
                            0x14 as libc::c_int as uint32_t,
                            0x8000024b as libc::c_uint,
                            0x11b as libc::c_int as uint32_t,
                            0x8000016d as libc::c_uint,
                            0x8000041a as libc::c_uint],};
         init
     },
     {
         let mut init =
             dv_info_t{dvType: 2 as libc::c_int,
                       dvK: 49 as libc::c_int,
                       dvB: 0 as libc::c_int,
                       testt: 58 as libc::c_int,
                       maski: 0 as libc::c_int,
                       maskb: 21 as libc::c_int,
                       dm:
                           [0x3c000004 as libc::c_int as uint32_t,
                            0xbc00001a as libc::c_uint,
                            0x20000010 as libc::c_int as uint32_t,
                            0x2400001c as libc::c_int as uint32_t,
                            0xec000014 as libc::c_uint,
                            0xc000002 as libc::c_int as uint32_t,
                            0xc0000010 as libc::c_uint,
                            0xb400001c as libc::c_uint,
                            0x2c000004 as libc::c_int as uint32_t,
                            0xbc000018 as libc::c_uint,
                            0xb0000010 as libc::c_uint,
                            0xc as libc::c_int as uint32_t,
                            0xb8000010 as libc::c_uint,
                            0x8000018 as libc::c_int as uint32_t,
                            0x78000010 as libc::c_int as uint32_t,
                            0x8000014 as libc::c_int as uint32_t,
                            0x70000010 as libc::c_int as uint32_t,
                            0xb800001c as libc::c_uint,
                            0xe8000000 as libc::c_uint,
                            0xb0000004 as libc::c_uint,
                            0x58000010 as libc::c_int as uint32_t,
                            0xb000000c as libc::c_uint,
                            0x48000000 as libc::c_int as uint32_t,
                            0xb0000000 as libc::c_uint,
                            0xb8000010 as libc::c_uint,
                            0x98000010 as libc::c_uint,
                            0xa0000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x10 as libc::c_int as uint32_t,
                            0x60000000 as libc::c_int as uint32_t,
                            0x18 as libc::c_int as uint32_t,
                            0xe0000000 as libc::c_uint,
                            0x90000000 as libc::c_uint,
                            0x30000010 as libc::c_int as uint32_t,
                            0xb0000000 as libc::c_uint,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x20 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0x40000041 as libc::c_int as uint32_t,
                            0x40000022 as libc::c_int as uint32_t,
                            0x80000005 as libc::c_uint,
                            0xc0000082 as libc::c_uint,
                            0xc0000046 as libc::c_uint,
                            0x4000004b as libc::c_int as uint32_t,
                            0x80000107 as libc::c_uint,
                            0x89 as libc::c_int as uint32_t,
                            0x14 as libc::c_int as uint32_t,
                            0x8000024b as libc::c_uint,
                            0x11b as libc::c_int as uint32_t,
                            0x8000016d as libc::c_uint],};
         init
     },
     {
         let mut init =
             dv_info_t{dvType: 2 as libc::c_int,
                       dvK: 49 as libc::c_int,
                       dvB: 2 as libc::c_int,
                       testt: 58 as libc::c_int,
                       maski: 0 as libc::c_int,
                       maskb: 22 as libc::c_int,
                       dm:
                           [0xf0000010 as libc::c_uint,
                            0xf000006a as libc::c_uint,
                            0x80000040 as libc::c_uint,
                            0x90000070 as libc::c_uint,
                            0xb0000053 as libc::c_uint,
                            0x30000008 as libc::c_int as uint32_t,
                            0x43 as libc::c_int as uint32_t,
                            0xd0000072 as libc::c_uint,
                            0xb0000010 as libc::c_uint,
                            0xf0000062 as libc::c_uint,
                            0xc0000042 as libc::c_uint,
                            0x30 as libc::c_int as uint32_t,
                            0xe0000042 as libc::c_uint,
                            0x20000060 as libc::c_int as uint32_t,
                            0xe0000041 as libc::c_uint,
                            0x20000050 as libc::c_int as uint32_t,
                            0xc0000041 as libc::c_uint,
                            0xe0000072 as libc::c_uint,
                            0xa0000003 as libc::c_uint,
                            0xc0000012 as libc::c_uint,
                            0x60000041 as libc::c_int as uint32_t,
                            0xc0000032 as libc::c_uint,
                            0x20000001 as libc::c_int as uint32_t,
                            0xc0000002 as libc::c_uint,
                            0xe0000042 as libc::c_uint,
                            0x60000042 as libc::c_int as uint32_t,
                            0x80000002 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x2 as libc::c_int as uint32_t,
                            0x40 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x80000040 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0x40 as libc::c_int as uint32_t,
                            0x80000001 as libc::c_uint,
                            0x60 as libc::c_int as uint32_t,
                            0x80000003 as libc::c_uint,
                            0x40000002 as libc::c_int as uint32_t,
                            0xc0000040 as libc::c_uint,
                            0xc0000002 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0x80000002 as libc::c_uint,
                            0x40 as libc::c_int as uint32_t,
                            0x2 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0x2 as libc::c_int as uint32_t,
                            0x40 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x80000040 as libc::c_uint,
                            0x80000002 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x4 as libc::c_int as uint32_t,
                            0x80 as libc::c_int as uint32_t,
                            0x4 as libc::c_int as uint32_t,
                            0x9 as libc::c_int as uint32_t,
                            0x105 as libc::c_int as uint32_t,
                            0x89 as libc::c_int as uint32_t,
                            0x16 as libc::c_int as uint32_t,
                            0x20b as libc::c_int as uint32_t,
                            0x11b as libc::c_int as uint32_t,
                            0x12d as libc::c_int as uint32_t,
                            0x41e as libc::c_int as uint32_t,
                            0x224 as libc::c_int as uint32_t,
                            0x50 as libc::c_int as uint32_t,
                            0x92e as libc::c_int as uint32_t,
                            0x46c as libc::c_int as uint32_t,
                            0x5b6 as libc::c_int as uint32_t],};
         init
     },
     {
         let mut init =
             dv_info_t{dvType: 2 as libc::c_int,
                       dvK: 50 as libc::c_int,
                       dvB: 0 as libc::c_int,
                       testt: 65 as libc::c_int,
                       maski: 0 as libc::c_int,
                       maskb: 23 as libc::c_int,
                       dm:
                           [0xb400001c as libc::c_uint,
                            0x3c000004 as libc::c_int as uint32_t,
                            0xbc00001a as libc::c_uint,
                            0x20000010 as libc::c_int as uint32_t,
                            0x2400001c as libc::c_int as uint32_t,
                            0xec000014 as libc::c_uint,
                            0xc000002 as libc::c_int as uint32_t,
                            0xc0000010 as libc::c_uint,
                            0xb400001c as libc::c_uint,
                            0x2c000004 as libc::c_int as uint32_t,
                            0xbc000018 as libc::c_uint,
                            0xb0000010 as libc::c_uint,
                            0xc as libc::c_int as uint32_t,
                            0xb8000010 as libc::c_uint,
                            0x8000018 as libc::c_int as uint32_t,
                            0x78000010 as libc::c_int as uint32_t,
                            0x8000014 as libc::c_int as uint32_t,
                            0x70000010 as libc::c_int as uint32_t,
                            0xb800001c as libc::c_uint,
                            0xe8000000 as libc::c_uint,
                            0xb0000004 as libc::c_uint,
                            0x58000010 as libc::c_int as uint32_t,
                            0xb000000c as libc::c_uint,
                            0x48000000 as libc::c_int as uint32_t,
                            0xb0000000 as libc::c_uint,
                            0xb8000010 as libc::c_uint,
                            0x98000010 as libc::c_uint,
                            0xa0000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x10 as libc::c_int as uint32_t,
                            0x60000000 as libc::c_int as uint32_t,
                            0x18 as libc::c_int as uint32_t,
                            0xe0000000 as libc::c_uint,
                            0x90000000 as libc::c_uint,
                            0x30000010 as libc::c_int as uint32_t,
                            0xb0000000 as libc::c_uint,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x20 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0x40000041 as libc::c_int as uint32_t,
                            0x40000022 as libc::c_int as uint32_t,
                            0x80000005 as libc::c_uint,
                            0xc0000082 as libc::c_uint,
                            0xc0000046 as libc::c_uint,
                            0x4000004b as libc::c_int as uint32_t,
                            0x80000107 as libc::c_uint,
                            0x89 as libc::c_int as uint32_t,
                            0x14 as libc::c_int as uint32_t,
                            0x8000024b as libc::c_uint,
                            0x11b as libc::c_int as uint32_t],};
         init
     },
     {
         let mut init =
             dv_info_t{dvType: 2 as libc::c_int,
                       dvK: 50 as libc::c_int,
                       dvB: 2 as libc::c_int,
                       testt: 65 as libc::c_int,
                       maski: 0 as libc::c_int,
                       maskb: 24 as libc::c_int,
                       dm:
                           [0xd0000072 as libc::c_uint,
                            0xf0000010 as libc::c_uint,
                            0xf000006a as libc::c_uint,
                            0x80000040 as libc::c_uint,
                            0x90000070 as libc::c_uint,
                            0xb0000053 as libc::c_uint,
                            0x30000008 as libc::c_int as uint32_t,
                            0x43 as libc::c_int as uint32_t,
                            0xd0000072 as libc::c_uint,
                            0xb0000010 as libc::c_uint,
                            0xf0000062 as libc::c_uint,
                            0xc0000042 as libc::c_uint,
                            0x30 as libc::c_int as uint32_t,
                            0xe0000042 as libc::c_uint,
                            0x20000060 as libc::c_int as uint32_t,
                            0xe0000041 as libc::c_uint,
                            0x20000050 as libc::c_int as uint32_t,
                            0xc0000041 as libc::c_uint,
                            0xe0000072 as libc::c_uint,
                            0xa0000003 as libc::c_uint,
                            0xc0000012 as libc::c_uint,
                            0x60000041 as libc::c_int as uint32_t,
                            0xc0000032 as libc::c_uint,
                            0x20000001 as libc::c_int as uint32_t,
                            0xc0000002 as libc::c_uint,
                            0xe0000042 as libc::c_uint,
                            0x60000042 as libc::c_int as uint32_t,
                            0x80000002 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x2 as libc::c_int as uint32_t,
                            0x40 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x80000040 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0x40 as libc::c_int as uint32_t,
                            0x80000001 as libc::c_uint,
                            0x60 as libc::c_int as uint32_t,
                            0x80000003 as libc::c_uint,
                            0x40000002 as libc::c_int as uint32_t,
                            0xc0000040 as libc::c_uint,
                            0xc0000002 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0x80000002 as libc::c_uint,
                            0x40 as libc::c_int as uint32_t,
                            0x2 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0x2 as libc::c_int as uint32_t,
                            0x40 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x80000040 as libc::c_uint,
                            0x80000002 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x4 as libc::c_int as uint32_t,
                            0x80 as libc::c_int as uint32_t,
                            0x4 as libc::c_int as uint32_t,
                            0x9 as libc::c_int as uint32_t,
                            0x105 as libc::c_int as uint32_t,
                            0x89 as libc::c_int as uint32_t,
                            0x16 as libc::c_int as uint32_t,
                            0x20b as libc::c_int as uint32_t,
                            0x11b as libc::c_int as uint32_t,
                            0x12d as libc::c_int as uint32_t,
                            0x41e as libc::c_int as uint32_t,
                            0x224 as libc::c_int as uint32_t,
                            0x50 as libc::c_int as uint32_t,
                            0x92e as libc::c_int as uint32_t,
                            0x46c as libc::c_int as uint32_t],};
         init
     },
     {
         let mut init =
             dv_info_t{dvType: 2 as libc::c_int,
                       dvK: 51 as libc::c_int,
                       dvB: 0 as libc::c_int,
                       testt: 65 as libc::c_int,
                       maski: 0 as libc::c_int,
                       maskb: 25 as libc::c_int,
                       dm:
                           [0xc0000010 as libc::c_uint,
                            0xb400001c as libc::c_uint,
                            0x3c000004 as libc::c_int as uint32_t,
                            0xbc00001a as libc::c_uint,
                            0x20000010 as libc::c_int as uint32_t,
                            0x2400001c as libc::c_int as uint32_t,
                            0xec000014 as libc::c_uint,
                            0xc000002 as libc::c_int as uint32_t,
                            0xc0000010 as libc::c_uint,
                            0xb400001c as libc::c_uint,
                            0x2c000004 as libc::c_int as uint32_t,
                            0xbc000018 as libc::c_uint,
                            0xb0000010 as libc::c_uint,
                            0xc as libc::c_int as uint32_t,
                            0xb8000010 as libc::c_uint,
                            0x8000018 as libc::c_int as uint32_t,
                            0x78000010 as libc::c_int as uint32_t,
                            0x8000014 as libc::c_int as uint32_t,
                            0x70000010 as libc::c_int as uint32_t,
                            0xb800001c as libc::c_uint,
                            0xe8000000 as libc::c_uint,
                            0xb0000004 as libc::c_uint,
                            0x58000010 as libc::c_int as uint32_t,
                            0xb000000c as libc::c_uint,
                            0x48000000 as libc::c_int as uint32_t,
                            0xb0000000 as libc::c_uint,
                            0xb8000010 as libc::c_uint,
                            0x98000010 as libc::c_uint,
                            0xa0000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x10 as libc::c_int as uint32_t,
                            0x60000000 as libc::c_int as uint32_t,
                            0x18 as libc::c_int as uint32_t,
                            0xe0000000 as libc::c_uint,
                            0x90000000 as libc::c_uint,
                            0x30000010 as libc::c_int as uint32_t,
                            0xb0000000 as libc::c_uint,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x20 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0x40000041 as libc::c_int as uint32_t,
                            0x40000022 as libc::c_int as uint32_t,
                            0x80000005 as libc::c_uint,
                            0xc0000082 as libc::c_uint,
                            0xc0000046 as libc::c_uint,
                            0x4000004b as libc::c_int as uint32_t,
                            0x80000107 as libc::c_uint,
                            0x89 as libc::c_int as uint32_t,
                            0x14 as libc::c_int as uint32_t,
                            0x8000024b as libc::c_uint],};
         init
     },
     {
         let mut init =
             dv_info_t{dvType: 2 as libc::c_int,
                       dvK: 51 as libc::c_int,
                       dvB: 2 as libc::c_int,
                       testt: 65 as libc::c_int,
                       maski: 0 as libc::c_int,
                       maskb: 26 as libc::c_int,
                       dm:
                           [0x43 as libc::c_int as uint32_t,
                            0xd0000072 as libc::c_uint,
                            0xf0000010 as libc::c_uint,
                            0xf000006a as libc::c_uint,
                            0x80000040 as libc::c_uint,
                            0x90000070 as libc::c_uint,
                            0xb0000053 as libc::c_uint,
                            0x30000008 as libc::c_int as uint32_t,
                            0x43 as libc::c_int as uint32_t,
                            0xd0000072 as libc::c_uint,
                            0xb0000010 as libc::c_uint,
                            0xf0000062 as libc::c_uint,
                            0xc0000042 as libc::c_uint,
                            0x30 as libc::c_int as uint32_t,
                            0xe0000042 as libc::c_uint,
                            0x20000060 as libc::c_int as uint32_t,
                            0xe0000041 as libc::c_uint,
                            0x20000050 as libc::c_int as uint32_t,
                            0xc0000041 as libc::c_uint,
                            0xe0000072 as libc::c_uint,
                            0xa0000003 as libc::c_uint,
                            0xc0000012 as libc::c_uint,
                            0x60000041 as libc::c_int as uint32_t,
                            0xc0000032 as libc::c_uint,
                            0x20000001 as libc::c_int as uint32_t,
                            0xc0000002 as libc::c_uint,
                            0xe0000042 as libc::c_uint,
                            0x60000042 as libc::c_int as uint32_t,
                            0x80000002 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x2 as libc::c_int as uint32_t,
                            0x40 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x80000040 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0x40 as libc::c_int as uint32_t,
                            0x80000001 as libc::c_uint,
                            0x60 as libc::c_int as uint32_t,
                            0x80000003 as libc::c_uint,
                            0x40000002 as libc::c_int as uint32_t,
                            0xc0000040 as libc::c_uint,
                            0xc0000002 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0x80000002 as libc::c_uint,
                            0x40 as libc::c_int as uint32_t,
                            0x2 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0x2 as libc::c_int as uint32_t,
                            0x40 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x80000040 as libc::c_uint,
                            0x80000002 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x80000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x4 as libc::c_int as uint32_t,
                            0x80 as libc::c_int as uint32_t,
                            0x4 as libc::c_int as uint32_t,
                            0x9 as libc::c_int as uint32_t,
                            0x105 as libc::c_int as uint32_t,
                            0x89 as libc::c_int as uint32_t,
                            0x16 as libc::c_int as uint32_t,
                            0x20b as libc::c_int as uint32_t,
                            0x11b as libc::c_int as uint32_t,
                            0x12d as libc::c_int as uint32_t,
                            0x41e as libc::c_int as uint32_t,
                            0x224 as libc::c_int as uint32_t,
                            0x50 as libc::c_int as uint32_t,
                            0x92e as libc::c_int as uint32_t],};
         init
     },
     {
         let mut init =
             dv_info_t{dvType: 2 as libc::c_int,
                       dvK: 52 as libc::c_int,
                       dvB: 0 as libc::c_int,
                       testt: 65 as libc::c_int,
                       maski: 0 as libc::c_int,
                       maskb: 27 as libc::c_int,
                       dm:
                           [0xc000002 as libc::c_int as uint32_t,
                            0xc0000010 as libc::c_uint,
                            0xb400001c as libc::c_uint,
                            0x3c000004 as libc::c_int as uint32_t,
                            0xbc00001a as libc::c_uint,
                            0x20000010 as libc::c_int as uint32_t,
                            0x2400001c as libc::c_int as uint32_t,
                            0xec000014 as libc::c_uint,
                            0xc000002 as libc::c_int as uint32_t,
                            0xc0000010 as libc::c_uint,
                            0xb400001c as libc::c_uint,
                            0x2c000004 as libc::c_int as uint32_t,
                            0xbc000018 as libc::c_uint,
                            0xb0000010 as libc::c_uint,
                            0xc as libc::c_int as uint32_t,
                            0xb8000010 as libc::c_uint,
                            0x8000018 as libc::c_int as uint32_t,
                            0x78000010 as libc::c_int as uint32_t,
                            0x8000014 as libc::c_int as uint32_t,
                            0x70000010 as libc::c_int as uint32_t,
                            0xb800001c as libc::c_uint,
                            0xe8000000 as libc::c_uint,
                            0xb0000004 as libc::c_uint,
                            0x58000010 as libc::c_int as uint32_t,
                            0xb000000c as libc::c_uint,
                            0x48000000 as libc::c_int as uint32_t,
                            0xb0000000 as libc::c_uint,
                            0xb8000010 as libc::c_uint,
                            0x98000010 as libc::c_uint,
                            0xa0000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x10 as libc::c_int as uint32_t,
                            0x60000000 as libc::c_int as uint32_t,
                            0x18 as libc::c_int as uint32_t,
                            0xe0000000 as libc::c_uint,
                            0x90000000 as libc::c_uint,
                            0x30000010 as libc::c_int as uint32_t,
                            0xb0000000 as libc::c_uint,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x20 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0x40000041 as libc::c_int as uint32_t,
                            0x40000022 as libc::c_int as uint32_t,
                            0x80000005 as libc::c_uint,
                            0xc0000082 as libc::c_uint,
                            0xc0000046 as libc::c_uint,
                            0x4000004b as libc::c_int as uint32_t,
                            0x80000107 as libc::c_uint,
                            0x89 as libc::c_int as uint32_t,
                            0x14 as libc::c_int as uint32_t],};
         init
     },
     {
         let mut init =
             dv_info_t{dvType: 2 as libc::c_int,
                       dvK: 53 as libc::c_int,
                       dvB: 0 as libc::c_int,
                       testt: 65 as libc::c_int,
                       maski: 0 as libc::c_int,
                       maskb: 28 as libc::c_int,
                       dm:
                           [0xcc000014 as libc::c_uint,
                            0xc000002 as libc::c_int as uint32_t,
                            0xc0000010 as libc::c_uint,
                            0xb400001c as libc::c_uint,
                            0x3c000004 as libc::c_int as uint32_t,
                            0xbc00001a as libc::c_uint,
                            0x20000010 as libc::c_int as uint32_t,
                            0x2400001c as libc::c_int as uint32_t,
                            0xec000014 as libc::c_uint,
                            0xc000002 as libc::c_int as uint32_t,
                            0xc0000010 as libc::c_uint,
                            0xb400001c as libc::c_uint,
                            0x2c000004 as libc::c_int as uint32_t,
                            0xbc000018 as libc::c_uint,
                            0xb0000010 as libc::c_uint,
                            0xc as libc::c_int as uint32_t,
                            0xb8000010 as libc::c_uint,
                            0x8000018 as libc::c_int as uint32_t,
                            0x78000010 as libc::c_int as uint32_t,
                            0x8000014 as libc::c_int as uint32_t,
                            0x70000010 as libc::c_int as uint32_t,
                            0xb800001c as libc::c_uint,
                            0xe8000000 as libc::c_uint,
                            0xb0000004 as libc::c_uint,
                            0x58000010 as libc::c_int as uint32_t,
                            0xb000000c as libc::c_uint,
                            0x48000000 as libc::c_int as uint32_t,
                            0xb0000000 as libc::c_uint,
                            0xb8000010 as libc::c_uint,
                            0x98000010 as libc::c_uint,
                            0xa0000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x10 as libc::c_int as uint32_t,
                            0x60000000 as libc::c_int as uint32_t,
                            0x18 as libc::c_int as uint32_t,
                            0xe0000000 as libc::c_uint,
                            0x90000000 as libc::c_uint,
                            0x30000010 as libc::c_int as uint32_t,
                            0xb0000000 as libc::c_uint,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x20 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0x40000041 as libc::c_int as uint32_t,
                            0x40000022 as libc::c_int as uint32_t,
                            0x80000005 as libc::c_uint,
                            0xc0000082 as libc::c_uint,
                            0xc0000046 as libc::c_uint,
                            0x4000004b as libc::c_int as uint32_t,
                            0x80000107 as libc::c_uint,
                            0x89 as libc::c_int as uint32_t],};
         init
     },
     {
         let mut init =
             dv_info_t{dvType: 2 as libc::c_int,
                       dvK: 54 as libc::c_int,
                       dvB: 0 as libc::c_int,
                       testt: 65 as libc::c_int,
                       maski: 0 as libc::c_int,
                       maskb: 29 as libc::c_int,
                       dm:
                           [0x400001c as libc::c_int as uint32_t,
                            0xcc000014 as libc::c_uint,
                            0xc000002 as libc::c_int as uint32_t,
                            0xc0000010 as libc::c_uint,
                            0xb400001c as libc::c_uint,
                            0x3c000004 as libc::c_int as uint32_t,
                            0xbc00001a as libc::c_uint,
                            0x20000010 as libc::c_int as uint32_t,
                            0x2400001c as libc::c_int as uint32_t,
                            0xec000014 as libc::c_uint,
                            0xc000002 as libc::c_int as uint32_t,
                            0xc0000010 as libc::c_uint,
                            0xb400001c as libc::c_uint,
                            0x2c000004 as libc::c_int as uint32_t,
                            0xbc000018 as libc::c_uint,
                            0xb0000010 as libc::c_uint,
                            0xc as libc::c_int as uint32_t,
                            0xb8000010 as libc::c_uint,
                            0x8000018 as libc::c_int as uint32_t,
                            0x78000010 as libc::c_int as uint32_t,
                            0x8000014 as libc::c_int as uint32_t,
                            0x70000010 as libc::c_int as uint32_t,
                            0xb800001c as libc::c_uint,
                            0xe8000000 as libc::c_uint,
                            0xb0000004 as libc::c_uint,
                            0x58000010 as libc::c_int as uint32_t,
                            0xb000000c as libc::c_uint,
                            0x48000000 as libc::c_int as uint32_t,
                            0xb0000000 as libc::c_uint,
                            0xb8000010 as libc::c_uint,
                            0x98000010 as libc::c_uint,
                            0xa0000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x10 as libc::c_int as uint32_t,
                            0x60000000 as libc::c_int as uint32_t,
                            0x18 as libc::c_int as uint32_t,
                            0xe0000000 as libc::c_uint,
                            0x90000000 as libc::c_uint,
                            0x30000010 as libc::c_int as uint32_t,
                            0xb0000000 as libc::c_uint,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x20 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0x40000041 as libc::c_int as uint32_t,
                            0x40000022 as libc::c_int as uint32_t,
                            0x80000005 as libc::c_uint,
                            0xc0000082 as libc::c_uint,
                            0xc0000046 as libc::c_uint,
                            0x4000004b as libc::c_int as uint32_t,
                            0x80000107 as libc::c_uint],};
         init
     },
     {
         let mut init =
             dv_info_t{dvType: 2 as libc::c_int,
                       dvK: 55 as libc::c_int,
                       dvB: 0 as libc::c_int,
                       testt: 65 as libc::c_int,
                       maski: 0 as libc::c_int,
                       maskb: 30 as libc::c_int,
                       dm:
                           [0x10 as libc::c_int as uint32_t,
                            0x400001c as libc::c_int as uint32_t,
                            0xcc000014 as libc::c_uint,
                            0xc000002 as libc::c_int as uint32_t,
                            0xc0000010 as libc::c_uint,
                            0xb400001c as libc::c_uint,
                            0x3c000004 as libc::c_int as uint32_t,
                            0xbc00001a as libc::c_uint,
                            0x20000010 as libc::c_int as uint32_t,
                            0x2400001c as libc::c_int as uint32_t,
                            0xec000014 as libc::c_uint,
                            0xc000002 as libc::c_int as uint32_t,
                            0xc0000010 as libc::c_uint,
                            0xb400001c as libc::c_uint,
                            0x2c000004 as libc::c_int as uint32_t,
                            0xbc000018 as libc::c_uint,
                            0xb0000010 as libc::c_uint,
                            0xc as libc::c_int as uint32_t,
                            0xb8000010 as libc::c_uint,
                            0x8000018 as libc::c_int as uint32_t,
                            0x78000010 as libc::c_int as uint32_t,
                            0x8000014 as libc::c_int as uint32_t,
                            0x70000010 as libc::c_int as uint32_t,
                            0xb800001c as libc::c_uint,
                            0xe8000000 as libc::c_uint,
                            0xb0000004 as libc::c_uint,
                            0x58000010 as libc::c_int as uint32_t,
                            0xb000000c as libc::c_uint,
                            0x48000000 as libc::c_int as uint32_t,
                            0xb0000000 as libc::c_uint,
                            0xb8000010 as libc::c_uint,
                            0x98000010 as libc::c_uint,
                            0xa0000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x10 as libc::c_int as uint32_t,
                            0x60000000 as libc::c_int as uint32_t,
                            0x18 as libc::c_int as uint32_t,
                            0xe0000000 as libc::c_uint,
                            0x90000000 as libc::c_uint,
                            0x30000010 as libc::c_int as uint32_t,
                            0xb0000000 as libc::c_uint,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x20 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0x40000041 as libc::c_int as uint32_t,
                            0x40000022 as libc::c_int as uint32_t,
                            0x80000005 as libc::c_uint,
                            0xc0000082 as libc::c_uint,
                            0xc0000046 as libc::c_uint,
                            0x4000004b as libc::c_int as uint32_t],};
         init
     },
     {
         let mut init =
             dv_info_t{dvType: 2 as libc::c_int,
                       dvK: 56 as libc::c_int,
                       dvB: 0 as libc::c_int,
                       testt: 65 as libc::c_int,
                       maski: 0 as libc::c_int,
                       maskb: 31 as libc::c_int,
                       dm:
                           [0x2600001a as libc::c_int as uint32_t,
                            0x10 as libc::c_int as uint32_t,
                            0x400001c as libc::c_int as uint32_t,
                            0xcc000014 as libc::c_uint,
                            0xc000002 as libc::c_int as uint32_t,
                            0xc0000010 as libc::c_uint,
                            0xb400001c as libc::c_uint,
                            0x3c000004 as libc::c_int as uint32_t,
                            0xbc00001a as libc::c_uint,
                            0x20000010 as libc::c_int as uint32_t,
                            0x2400001c as libc::c_int as uint32_t,
                            0xec000014 as libc::c_uint,
                            0xc000002 as libc::c_int as uint32_t,
                            0xc0000010 as libc::c_uint,
                            0xb400001c as libc::c_uint,
                            0x2c000004 as libc::c_int as uint32_t,
                            0xbc000018 as libc::c_uint,
                            0xb0000010 as libc::c_uint,
                            0xc as libc::c_int as uint32_t,
                            0xb8000010 as libc::c_uint,
                            0x8000018 as libc::c_int as uint32_t,
                            0x78000010 as libc::c_int as uint32_t,
                            0x8000014 as libc::c_int as uint32_t,
                            0x70000010 as libc::c_int as uint32_t,
                            0xb800001c as libc::c_uint,
                            0xe8000000 as libc::c_uint,
                            0xb0000004 as libc::c_uint,
                            0x58000010 as libc::c_int as uint32_t,
                            0xb000000c as libc::c_uint,
                            0x48000000 as libc::c_int as uint32_t,
                            0xb0000000 as libc::c_uint,
                            0xb8000010 as libc::c_uint,
                            0x98000010 as libc::c_uint,
                            0xa0000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x10 as libc::c_int as uint32_t,
                            0x60000000 as libc::c_int as uint32_t,
                            0x18 as libc::c_int as uint32_t,
                            0xe0000000 as libc::c_uint,
                            0x90000000 as libc::c_uint,
                            0x30000010 as libc::c_int as uint32_t,
                            0xb0000000 as libc::c_uint,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x80000000 as libc::c_uint,
                            0x10 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x20000010 as libc::c_int as uint32_t,
                            0xa0000000 as libc::c_uint,
                            0 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0x20000000 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x20 as libc::c_int as uint32_t,
                            0x1 as libc::c_int as uint32_t,
                            0x40000002 as libc::c_int as uint32_t,
                            0x40000041 as libc::c_int as uint32_t,
                            0x40000022 as libc::c_int as uint32_t,
                            0x80000005 as libc::c_uint,
                            0xc0000082 as libc::c_uint,
                            0xc0000046 as libc::c_uint],};
         init
     },
     {
         let mut init =
             dv_info_t{dvType: 0 as libc::c_int,
                       dvK: 0 as libc::c_int,
                       dvB: 0 as libc::c_int,
                       testt: 0 as libc::c_int,
                       maski: 0 as libc::c_int,
                       maskb: 0 as libc::c_int,
                       dm:
                           [0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t,
                            0 as libc::c_int as uint32_t],};
         init
     }];
#[no_mangle]
pub unsafe extern "C" fn ubc_check(mut W: *const uint32_t,
                                   mut dvmask: *mut uint32_t) {
    let mut mask: uint32_t = !(0 as libc::c_int as uint32_t);
    mask &=
        ((*W.offset(44 as libc::c_int as isize) ^
              *W.offset(45 as libc::c_int as isize)) >> 29 as libc::c_int &
             1 as libc::c_int as
                 libc::c_uint).wrapping_sub(1 as libc::c_int as libc::c_uint)
            |
            !(DV_I_48_0_bit | DV_I_51_0_bit | DV_I_52_0_bit | DV_II_45_0_bit |
                  DV_II_46_0_bit | DV_II_50_0_bit | DV_II_51_0_bit);
    mask &=
        ((*W.offset(49 as libc::c_int as isize) ^
              *W.offset(50 as libc::c_int as isize)) >> 29 as libc::c_int &
             1 as libc::c_int as
                 libc::c_uint).wrapping_sub(1 as libc::c_int as libc::c_uint)
            |
            !(DV_I_46_0_bit | DV_II_45_0_bit | DV_II_50_0_bit | DV_II_51_0_bit
                  | DV_II_55_0_bit | DV_II_56_0_bit);
    mask &=
        ((*W.offset(48 as libc::c_int as isize) ^
              *W.offset(49 as libc::c_int as isize)) >> 29 as libc::c_int &
             1 as libc::c_int as
                 libc::c_uint).wrapping_sub(1 as libc::c_int as libc::c_uint)
            |
            !(DV_I_45_0_bit | DV_I_52_0_bit | DV_II_49_0_bit | DV_II_50_0_bit
                  | DV_II_54_0_bit | DV_II_55_0_bit);
    mask &=
        ((*W.offset(47 as libc::c_int as isize) ^
              *W.offset(50 as libc::c_int as isize) >> 25 as libc::c_int) &
             ((1 as libc::c_int) << 4 as libc::c_int) as
                 libc::c_uint).wrapping_sub(((1 as libc::c_int) <<
                                                 4 as libc::c_int) as
                                                libc::c_uint) |
            !(DV_I_47_0_bit | DV_I_49_0_bit | DV_I_51_0_bit | DV_II_45_0_bit |
                  DV_II_51_0_bit | DV_II_56_0_bit);
    mask &=
        ((*W.offset(47 as libc::c_int as isize) ^
              *W.offset(48 as libc::c_int as isize)) >> 29 as libc::c_int &
             1 as libc::c_int as
                 libc::c_uint).wrapping_sub(1 as libc::c_int as libc::c_uint)
            |
            !(DV_I_44_0_bit | DV_I_51_0_bit | DV_II_48_0_bit | DV_II_49_0_bit
                  | DV_II_53_0_bit | DV_II_54_0_bit);
    mask &=
        ((*W.offset(46 as libc::c_int as isize) >> 4 as libc::c_int ^
              *W.offset(49 as libc::c_int as isize) >> 29 as libc::c_int) &
             1 as libc::c_int as
                 libc::c_uint).wrapping_sub(1 as libc::c_int as libc::c_uint)
            |
            !(DV_I_46_0_bit | DV_I_48_0_bit | DV_I_50_0_bit | DV_I_52_0_bit |
                  DV_II_50_0_bit | DV_II_55_0_bit);
    mask &=
        ((*W.offset(46 as libc::c_int as isize) ^
              *W.offset(47 as libc::c_int as isize)) >> 29 as libc::c_int &
             1 as libc::c_int as
                 libc::c_uint).wrapping_sub(1 as libc::c_int as libc::c_uint)
            |
            !(DV_I_43_0_bit | DV_I_50_0_bit | DV_II_47_0_bit | DV_II_48_0_bit
                  | DV_II_52_0_bit | DV_II_53_0_bit);
    mask &=
        ((*W.offset(45 as libc::c_int as isize) >> 4 as libc::c_int ^
              *W.offset(48 as libc::c_int as isize) >> 29 as libc::c_int) &
             1 as libc::c_int as
                 libc::c_uint).wrapping_sub(1 as libc::c_int as libc::c_uint)
            |
            !(DV_I_45_0_bit | DV_I_47_0_bit | DV_I_49_0_bit | DV_I_51_0_bit |
                  DV_II_49_0_bit | DV_II_54_0_bit);
    mask &=
        ((*W.offset(45 as libc::c_int as isize) ^
              *W.offset(46 as libc::c_int as isize)) >> 29 as libc::c_int &
             1 as libc::c_int as
                 libc::c_uint).wrapping_sub(1 as libc::c_int as libc::c_uint)
            |
            !(DV_I_49_0_bit | DV_I_52_0_bit | DV_II_46_0_bit | DV_II_47_0_bit
                  | DV_II_51_0_bit | DV_II_52_0_bit);
    mask &=
        ((*W.offset(44 as libc::c_int as isize) >> 4 as libc::c_int ^
              *W.offset(47 as libc::c_int as isize) >> 29 as libc::c_int) &
             1 as libc::c_int as
                 libc::c_uint).wrapping_sub(1 as libc::c_int as libc::c_uint)
            |
            !(DV_I_44_0_bit | DV_I_46_0_bit | DV_I_48_0_bit | DV_I_50_0_bit |
                  DV_II_48_0_bit | DV_II_53_0_bit);
    mask &=
        ((*W.offset(43 as libc::c_int as isize) >> 4 as libc::c_int ^
              *W.offset(46 as libc::c_int as isize) >> 29 as libc::c_int) &
             1 as libc::c_int as
                 libc::c_uint).wrapping_sub(1 as libc::c_int as libc::c_uint)
            |
            !(DV_I_43_0_bit | DV_I_45_0_bit | DV_I_47_0_bit | DV_I_49_0_bit |
                  DV_II_47_0_bit | DV_II_52_0_bit);
    mask &=
        ((*W.offset(43 as libc::c_int as isize) ^
              *W.offset(44 as libc::c_int as isize)) >> 29 as libc::c_int &
             1 as libc::c_int as
                 libc::c_uint).wrapping_sub(1 as libc::c_int as libc::c_uint)
            |
            !(DV_I_47_0_bit | DV_I_50_0_bit | DV_I_51_0_bit | DV_II_45_0_bit |
                  DV_II_49_0_bit | DV_II_50_0_bit);
    mask &=
        ((*W.offset(42 as libc::c_int as isize) >> 4 as libc::c_int ^
              *W.offset(45 as libc::c_int as isize) >> 29 as libc::c_int) &
             1 as libc::c_int as
                 libc::c_uint).wrapping_sub(1 as libc::c_int as libc::c_uint)
            |
            !(DV_I_44_0_bit | DV_I_46_0_bit | DV_I_48_0_bit | DV_I_52_0_bit |
                  DV_II_46_0_bit | DV_II_51_0_bit);
    mask &=
        ((*W.offset(41 as libc::c_int as isize) >> 4 as libc::c_int ^
              *W.offset(44 as libc::c_int as isize) >> 29 as libc::c_int) &
             1 as libc::c_int as
                 libc::c_uint).wrapping_sub(1 as libc::c_int as libc::c_uint)
            |
            !(DV_I_43_0_bit | DV_I_45_0_bit | DV_I_47_0_bit | DV_I_51_0_bit |
                  DV_II_45_0_bit | DV_II_50_0_bit);
    mask &=
        ((*W.offset(40 as libc::c_int as isize) ^
              *W.offset(41 as libc::c_int as isize)) >> 29 as libc::c_int &
             1 as libc::c_int as
                 libc::c_uint).wrapping_sub(1 as libc::c_int as libc::c_uint)
            |
            !(DV_I_44_0_bit | DV_I_47_0_bit | DV_I_48_0_bit | DV_II_46_0_bit |
                  DV_II_47_0_bit | DV_II_56_0_bit);
    mask &=
        ((*W.offset(54 as libc::c_int as isize) ^
              *W.offset(55 as libc::c_int as isize)) >> 29 as libc::c_int &
             1 as libc::c_int as
                 libc::c_uint).wrapping_sub(1 as libc::c_int as libc::c_uint)
            |
            !(DV_I_51_0_bit | DV_II_47_0_bit | DV_II_50_0_bit | DV_II_55_0_bit
                  | DV_II_56_0_bit);
    mask &=
        ((*W.offset(53 as libc::c_int as isize) ^
              *W.offset(54 as libc::c_int as isize)) >> 29 as libc::c_int &
             1 as libc::c_int as
                 libc::c_uint).wrapping_sub(1 as libc::c_int as libc::c_uint)
            |
            !(DV_I_50_0_bit | DV_II_46_0_bit | DV_II_49_0_bit | DV_II_54_0_bit
                  | DV_II_55_0_bit);
    mask &=
        ((*W.offset(52 as libc::c_int as isize) ^
              *W.offset(53 as libc::c_int as isize)) >> 29 as libc::c_int &
             1 as libc::c_int as
                 libc::c_uint).wrapping_sub(1 as libc::c_int as libc::c_uint)
            |
            !(DV_I_49_0_bit | DV_II_45_0_bit | DV_II_48_0_bit | DV_II_53_0_bit
                  | DV_II_54_0_bit);
    mask &=
        ((*W.offset(50 as libc::c_int as isize) ^
              *W.offset(53 as libc::c_int as isize) >> 25 as libc::c_int) &
             ((1 as libc::c_int) << 4 as libc::c_int) as
                 libc::c_uint).wrapping_sub(((1 as libc::c_int) <<
                                                 4 as libc::c_int) as
                                                libc::c_uint) |
            !(DV_I_50_0_bit | DV_I_52_0_bit | DV_II_46_0_bit | DV_II_48_0_bit
                  | DV_II_54_0_bit);
    mask &=
        ((*W.offset(50 as libc::c_int as isize) ^
              *W.offset(51 as libc::c_int as isize)) >> 29 as libc::c_int &
             1 as libc::c_int as
                 libc::c_uint).wrapping_sub(1 as libc::c_int as libc::c_uint)
            |
            !(DV_I_47_0_bit | DV_II_46_0_bit | DV_II_51_0_bit | DV_II_52_0_bit
                  | DV_II_56_0_bit);
    mask &=
        ((*W.offset(49 as libc::c_int as isize) ^
              *W.offset(52 as libc::c_int as isize) >> 25 as libc::c_int) &
             ((1 as libc::c_int) << 4 as libc::c_int) as
                 libc::c_uint).wrapping_sub(((1 as libc::c_int) <<
                                                 4 as libc::c_int) as
                                                libc::c_uint) |
            !(DV_I_49_0_bit | DV_I_51_0_bit | DV_II_45_0_bit | DV_II_47_0_bit
                  | DV_II_53_0_bit);
    mask &=
        ((*W.offset(48 as libc::c_int as isize) ^
              *W.offset(51 as libc::c_int as isize) >> 25 as libc::c_int) &
             ((1 as libc::c_int) << 4 as libc::c_int) as
                 libc::c_uint).wrapping_sub(((1 as libc::c_int) <<
                                                 4 as libc::c_int) as
                                                libc::c_uint) |
            !(DV_I_48_0_bit | DV_I_50_0_bit | DV_I_52_0_bit | DV_II_46_0_bit |
                  DV_II_52_0_bit);
    mask &=
        ((*W.offset(42 as libc::c_int as isize) ^
              *W.offset(43 as libc::c_int as isize)) >> 29 as libc::c_int &
             1 as libc::c_int as
                 libc::c_uint).wrapping_sub(1 as libc::c_int as libc::c_uint)
            |
            !(DV_I_46_0_bit | DV_I_49_0_bit | DV_I_50_0_bit | DV_II_48_0_bit |
                  DV_II_49_0_bit);
    mask &=
        ((*W.offset(41 as libc::c_int as isize) ^
              *W.offset(42 as libc::c_int as isize)) >> 29 as libc::c_int &
             1 as libc::c_int as
                 libc::c_uint).wrapping_sub(1 as libc::c_int as libc::c_uint)
            |
            !(DV_I_45_0_bit | DV_I_48_0_bit | DV_I_49_0_bit | DV_II_47_0_bit |
                  DV_II_48_0_bit);
    mask &=
        ((*W.offset(40 as libc::c_int as isize) >> 4 as libc::c_int ^
              *W.offset(43 as libc::c_int as isize) >> 29 as libc::c_int) &
             1 as libc::c_int as
                 libc::c_uint).wrapping_sub(1 as libc::c_int as libc::c_uint)
            |
            !(DV_I_44_0_bit | DV_I_46_0_bit | DV_I_50_0_bit | DV_II_49_0_bit |
                  DV_II_56_0_bit);
    mask &=
        ((*W.offset(39 as libc::c_int as isize) >> 4 as libc::c_int ^
              *W.offset(42 as libc::c_int as isize) >> 29 as libc::c_int) &
             1 as libc::c_int as
                 libc::c_uint).wrapping_sub(1 as libc::c_int as libc::c_uint)
            |
            !(DV_I_43_0_bit | DV_I_45_0_bit | DV_I_49_0_bit | DV_II_48_0_bit |
                  DV_II_55_0_bit);
    if mask &
           (DV_I_44_0_bit | DV_I_48_0_bit | DV_II_47_0_bit | DV_II_54_0_bit |
                DV_II_56_0_bit) != 0 {
        mask &=
            ((*W.offset(38 as libc::c_int as isize) >> 4 as libc::c_int ^
                  *W.offset(41 as libc::c_int as isize) >> 29 as libc::c_int)
                 &
                 1 as libc::c_int as
                     libc::c_uint).wrapping_sub(1 as libc::c_int as
                                                    libc::c_uint) |
                !(DV_I_44_0_bit | DV_I_48_0_bit | DV_II_47_0_bit |
                      DV_II_54_0_bit | DV_II_56_0_bit)
    }
    mask &=
        ((*W.offset(37 as libc::c_int as isize) >> 4 as libc::c_int ^
              *W.offset(40 as libc::c_int as isize) >> 29 as libc::c_int) &
             1 as libc::c_int as
                 libc::c_uint).wrapping_sub(1 as libc::c_int as libc::c_uint)
            |
            !(DV_I_43_0_bit | DV_I_47_0_bit | DV_II_46_0_bit | DV_II_53_0_bit
                  | DV_II_55_0_bit);
    if mask &
           (DV_I_52_0_bit | DV_II_48_0_bit | DV_II_51_0_bit | DV_II_56_0_bit)
           != 0 {
        mask &=
            ((*W.offset(55 as libc::c_int as isize) ^
                  *W.offset(56 as libc::c_int as isize)) >> 29 as libc::c_int
                 &
                 1 as libc::c_int as
                     libc::c_uint).wrapping_sub(1 as libc::c_int as
                                                    libc::c_uint) |
                !(DV_I_52_0_bit | DV_II_48_0_bit | DV_II_51_0_bit |
                      DV_II_56_0_bit)
    }
    if mask &
           (DV_I_52_0_bit | DV_II_48_0_bit | DV_II_50_0_bit | DV_II_56_0_bit)
           != 0 {
        mask &=
            ((*W.offset(52 as libc::c_int as isize) ^
                  *W.offset(55 as libc::c_int as isize) >> 25 as libc::c_int)
                 &
                 ((1 as libc::c_int) << 4 as libc::c_int) as
                     libc::c_uint).wrapping_sub(((1 as libc::c_int) <<
                                                     4 as libc::c_int) as
                                                    libc::c_uint) |
                !(DV_I_52_0_bit | DV_II_48_0_bit | DV_II_50_0_bit |
                      DV_II_56_0_bit)
    }
    if mask &
           (DV_I_51_0_bit | DV_II_47_0_bit | DV_II_49_0_bit | DV_II_55_0_bit)
           != 0 {
        mask &=
            ((*W.offset(51 as libc::c_int as isize) ^
                  *W.offset(54 as libc::c_int as isize) >> 25 as libc::c_int)
                 &
                 ((1 as libc::c_int) << 4 as libc::c_int) as
                     libc::c_uint).wrapping_sub(((1 as libc::c_int) <<
                                                     4 as libc::c_int) as
                                                    libc::c_uint) |
                !(DV_I_51_0_bit | DV_II_47_0_bit | DV_II_49_0_bit |
                      DV_II_55_0_bit)
    }
    if mask &
           (DV_I_48_0_bit | DV_II_47_0_bit | DV_II_52_0_bit | DV_II_53_0_bit)
           != 0 {
        mask &=
            ((*W.offset(51 as libc::c_int as isize) ^
                  *W.offset(52 as libc::c_int as isize)) >> 29 as libc::c_int
                 &
                 1 as libc::c_int as
                     libc::c_uint).wrapping_sub(1 as libc::c_int as
                                                    libc::c_uint) |
                !(DV_I_48_0_bit | DV_II_47_0_bit | DV_II_52_0_bit |
                      DV_II_53_0_bit)
    }
    if mask &
           (DV_I_46_0_bit | DV_I_49_0_bit | DV_II_45_0_bit | DV_II_48_0_bit)
           != 0 {
        mask &=
            ((*W.offset(36 as libc::c_int as isize) >> 4 as libc::c_int ^
                  *W.offset(40 as libc::c_int as isize) >> 29 as libc::c_int)
                 &
                 1 as libc::c_int as
                     libc::c_uint).wrapping_sub(1 as libc::c_int as
                                                    libc::c_uint) |
                !(DV_I_46_0_bit | DV_I_49_0_bit | DV_II_45_0_bit |
                      DV_II_48_0_bit)
    }
    if mask & (DV_I_52_0_bit | DV_II_48_0_bit | DV_II_49_0_bit) != 0 {
        mask &=
            (0 as libc::c_int as
                 libc::c_uint).wrapping_sub((*W.offset(53 as libc::c_int as
                                                           isize) ^
                                                 *W.offset(56 as libc::c_int
                                                               as isize)) >>
                                                29 as libc::c_int &
                                                1 as libc::c_int as
                                                    libc::c_uint) |
                !(DV_I_52_0_bit | DV_II_48_0_bit | DV_II_49_0_bit)
    }
    if mask & (DV_I_50_0_bit | DV_II_46_0_bit | DV_II_47_0_bit) != 0 {
        mask &=
            (0 as libc::c_int as
                 libc::c_uint).wrapping_sub((*W.offset(51 as libc::c_int as
                                                           isize) ^
                                                 *W.offset(54 as libc::c_int
                                                               as isize)) >>
                                                29 as libc::c_int &
                                                1 as libc::c_int as
                                                    libc::c_uint) |
                !(DV_I_50_0_bit | DV_II_46_0_bit | DV_II_47_0_bit)
    }
    if mask & (DV_I_49_0_bit | DV_I_51_0_bit | DV_II_45_0_bit) != 0 {
        mask &=
            (0 as libc::c_int as
                 libc::c_uint).wrapping_sub((*W.offset(50 as libc::c_int as
                                                           isize) ^
                                                 *W.offset(52 as libc::c_int
                                                               as isize)) >>
                                                29 as libc::c_int &
                                                1 as libc::c_int as
                                                    libc::c_uint) |
                !(DV_I_49_0_bit | DV_I_51_0_bit | DV_II_45_0_bit)
    }
    if mask & (DV_I_48_0_bit | DV_I_50_0_bit | DV_I_52_0_bit) != 0 {
        mask &=
            (0 as libc::c_int as
                 libc::c_uint).wrapping_sub((*W.offset(49 as libc::c_int as
                                                           isize) ^
                                                 *W.offset(51 as libc::c_int
                                                               as isize)) >>
                                                29 as libc::c_int &
                                                1 as libc::c_int as
                                                    libc::c_uint) |
                !(DV_I_48_0_bit | DV_I_50_0_bit | DV_I_52_0_bit)
    }
    if mask & (DV_I_47_0_bit | DV_I_49_0_bit | DV_I_51_0_bit) != 0 {
        mask &=
            (0 as libc::c_int as
                 libc::c_uint).wrapping_sub((*W.offset(48 as libc::c_int as
                                                           isize) ^
                                                 *W.offset(50 as libc::c_int
                                                               as isize)) >>
                                                29 as libc::c_int &
                                                1 as libc::c_int as
                                                    libc::c_uint) |
                !(DV_I_47_0_bit | DV_I_49_0_bit | DV_I_51_0_bit)
    }
    if mask & (DV_I_46_0_bit | DV_I_48_0_bit | DV_I_50_0_bit) != 0 {
        mask &=
            (0 as libc::c_int as
                 libc::c_uint).wrapping_sub((*W.offset(47 as libc::c_int as
                                                           isize) ^
                                                 *W.offset(49 as libc::c_int
                                                               as isize)) >>
                                                29 as libc::c_int &
                                                1 as libc::c_int as
                                                    libc::c_uint) |
                !(DV_I_46_0_bit | DV_I_48_0_bit | DV_I_50_0_bit)
    }
    if mask & (DV_I_45_0_bit | DV_I_47_0_bit | DV_I_49_0_bit) != 0 {
        mask &=
            (0 as libc::c_int as
                 libc::c_uint).wrapping_sub((*W.offset(46 as libc::c_int as
                                                           isize) ^
                                                 *W.offset(48 as libc::c_int
                                                               as isize)) >>
                                                29 as libc::c_int &
                                                1 as libc::c_int as
                                                    libc::c_uint) |
                !(DV_I_45_0_bit | DV_I_47_0_bit | DV_I_49_0_bit)
    }
    mask &=
        ((*W.offset(45 as libc::c_int as isize) ^
              *W.offset(47 as libc::c_int as isize)) &
             ((1 as libc::c_int) << 6 as libc::c_int) as
                 libc::c_uint).wrapping_sub(((1 as libc::c_int) <<
                                                 6 as libc::c_int) as
                                                libc::c_uint) |
            !(DV_I_47_2_bit | DV_I_49_2_bit | DV_I_51_2_bit);
    if mask & (DV_I_44_0_bit | DV_I_46_0_bit | DV_I_48_0_bit) != 0 {
        mask &=
            (0 as libc::c_int as
                 libc::c_uint).wrapping_sub((*W.offset(45 as libc::c_int as
                                                           isize) ^
                                                 *W.offset(47 as libc::c_int
                                                               as isize)) >>
                                                29 as libc::c_int &
                                                1 as libc::c_int as
                                                    libc::c_uint) |
                !(DV_I_44_0_bit | DV_I_46_0_bit | DV_I_48_0_bit)
    }
    mask &=
        ((*W.offset(44 as libc::c_int as isize) ^
              *W.offset(46 as libc::c_int as isize)) >> 6 as libc::c_int &
             1 as libc::c_int as
                 libc::c_uint).wrapping_sub(1 as libc::c_int as libc::c_uint)
            | !(DV_I_46_2_bit | DV_I_48_2_bit | DV_I_50_2_bit);
    if mask & (DV_I_43_0_bit | DV_I_45_0_bit | DV_I_47_0_bit) != 0 {
        mask &=
            (0 as libc::c_int as
                 libc::c_uint).wrapping_sub((*W.offset(44 as libc::c_int as
                                                           isize) ^
                                                 *W.offset(46 as libc::c_int
                                                               as isize)) >>
                                                29 as libc::c_int &
                                                1 as libc::c_int as
                                                    libc::c_uint) |
                !(DV_I_43_0_bit | DV_I_45_0_bit | DV_I_47_0_bit)
    }
    mask &=
        (0 as libc::c_int as
             libc::c_uint).wrapping_sub((*W.offset(41 as libc::c_int as isize)
                                             ^
                                             *W.offset(42 as libc::c_int as
                                                           isize) >>
                                                 5 as libc::c_int) &
                                            ((1 as libc::c_int) <<
                                                 1 as libc::c_int) as
                                                libc::c_uint) |
            !(DV_I_48_2_bit | DV_II_46_2_bit | DV_II_51_2_bit);
    mask &=
        (0 as libc::c_int as
             libc::c_uint).wrapping_sub((*W.offset(40 as libc::c_int as isize)
                                             ^
                                             *W.offset(41 as libc::c_int as
                                                           isize) >>
                                                 5 as libc::c_int) &
                                            ((1 as libc::c_int) <<
                                                 1 as libc::c_int) as
                                                libc::c_uint) |
            !(DV_I_47_2_bit | DV_I_51_2_bit | DV_II_50_2_bit);
    if mask & (DV_I_44_0_bit | DV_I_46_0_bit | DV_II_56_0_bit) != 0 {
        mask &=
            (0 as libc::c_int as
                 libc::c_uint).wrapping_sub((*W.offset(40 as libc::c_int as
                                                           isize) ^
                                                 *W.offset(42 as libc::c_int
                                                               as isize)) >>
                                                4 as libc::c_int &
                                                1 as libc::c_int as
                                                    libc::c_uint) |
                !(DV_I_44_0_bit | DV_I_46_0_bit | DV_II_56_0_bit)
    }
    mask &=
        (0 as libc::c_int as
             libc::c_uint).wrapping_sub((*W.offset(39 as libc::c_int as isize)
                                             ^
                                             *W.offset(40 as libc::c_int as
                                                           isize) >>
                                                 5 as libc::c_int) &
                                            ((1 as libc::c_int) <<
                                                 1 as libc::c_int) as
                                                libc::c_uint) |
            !(DV_I_46_2_bit | DV_I_50_2_bit | DV_II_49_2_bit);
    if mask & (DV_I_43_0_bit | DV_I_45_0_bit | DV_II_55_0_bit) != 0 {
        mask &=
            (0 as libc::c_int as
                 libc::c_uint).wrapping_sub((*W.offset(39 as libc::c_int as
                                                           isize) ^
                                                 *W.offset(41 as libc::c_int
                                                               as isize)) >>
                                                4 as libc::c_int &
                                                1 as libc::c_int as
                                                    libc::c_uint) |
                !(DV_I_43_0_bit | DV_I_45_0_bit | DV_II_55_0_bit)
    }
    if mask & (DV_I_44_0_bit | DV_II_54_0_bit | DV_II_56_0_bit) != 0 {
        mask &=
            (0 as libc::c_int as
                 libc::c_uint).wrapping_sub((*W.offset(38 as libc::c_int as
                                                           isize) ^
                                                 *W.offset(40 as libc::c_int
                                                               as isize)) >>
                                                4 as libc::c_int &
                                                1 as libc::c_int as
                                                    libc::c_uint) |
                !(DV_I_44_0_bit | DV_II_54_0_bit | DV_II_56_0_bit)
    }
    if mask & (DV_I_43_0_bit | DV_II_53_0_bit | DV_II_55_0_bit) != 0 {
        mask &=
            (0 as libc::c_int as
                 libc::c_uint).wrapping_sub((*W.offset(37 as libc::c_int as
                                                           isize) ^
                                                 *W.offset(39 as libc::c_int
                                                               as isize)) >>
                                                4 as libc::c_int &
                                                1 as libc::c_int as
                                                    libc::c_uint) |
                !(DV_I_43_0_bit | DV_II_53_0_bit | DV_II_55_0_bit)
    }
    mask &=
        (0 as libc::c_int as
             libc::c_uint).wrapping_sub((*W.offset(36 as libc::c_int as isize)
                                             ^
                                             *W.offset(37 as libc::c_int as
                                                           isize) >>
                                                 5 as libc::c_int) &
                                            ((1 as libc::c_int) <<
                                                 1 as libc::c_int) as
                                                libc::c_uint) |
            !(DV_I_47_2_bit | DV_I_50_2_bit | DV_II_46_2_bit);
    if mask & (DV_I_45_0_bit | DV_I_48_0_bit | DV_II_47_0_bit) != 0 {
        mask &=
            ((*W.offset(35 as libc::c_int as isize) >> 4 as libc::c_int ^
                  *W.offset(39 as libc::c_int as isize) >> 29 as libc::c_int)
                 &
                 1 as libc::c_int as
                     libc::c_uint).wrapping_sub(1 as libc::c_int as
                                                    libc::c_uint) |
                !(DV_I_45_0_bit | DV_I_48_0_bit | DV_II_47_0_bit)
    }
    if mask & (DV_I_48_0_bit | DV_II_48_0_bit) != 0 {
        mask &=
            (0 as libc::c_int as
                 libc::c_uint).wrapping_sub((*W.offset(63 as libc::c_int as
                                                           isize) ^
                                                 *W.offset(64 as libc::c_int
                                                               as isize) >>
                                                     5 as libc::c_int) &
                                                ((1 as libc::c_int) <<
                                                     0 as libc::c_int) as
                                                    libc::c_uint) |
                !(DV_I_48_0_bit | DV_II_48_0_bit)
    }
    if mask & (DV_I_45_0_bit | DV_II_45_0_bit) != 0 {
        mask &=
            (0 as libc::c_int as
                 libc::c_uint).wrapping_sub((*W.offset(63 as libc::c_int as
                                                           isize) ^
                                                 *W.offset(64 as libc::c_int
                                                               as isize) >>
                                                     5 as libc::c_int) &
                                                ((1 as libc::c_int) <<
                                                     1 as libc::c_int) as
                                                    libc::c_uint) |
                !(DV_I_45_0_bit | DV_II_45_0_bit)
    }
    if mask & (DV_I_47_0_bit | DV_II_47_0_bit) != 0 {
        mask &=
            (0 as libc::c_int as
                 libc::c_uint).wrapping_sub((*W.offset(62 as libc::c_int as
                                                           isize) ^
                                                 *W.offset(63 as libc::c_int
                                                               as isize) >>
                                                     5 as libc::c_int) &
                                                ((1 as libc::c_int) <<
                                                     0 as libc::c_int) as
                                                    libc::c_uint) |
                !(DV_I_47_0_bit | DV_II_47_0_bit)
    }
    if mask & (DV_I_46_0_bit | DV_II_46_0_bit) != 0 {
        mask &=
            (0 as libc::c_int as
                 libc::c_uint).wrapping_sub((*W.offset(61 as libc::c_int as
                                                           isize) ^
                                                 *W.offset(62 as libc::c_int
                                                               as isize) >>
                                                     5 as libc::c_int) &
                                                ((1 as libc::c_int) <<
                                                     0 as libc::c_int) as
                                                    libc::c_uint) |
                !(DV_I_46_0_bit | DV_II_46_0_bit)
    }
    mask &=
        (0 as libc::c_int as
             libc::c_uint).wrapping_sub((*W.offset(61 as libc::c_int as isize)
                                             ^
                                             *W.offset(62 as libc::c_int as
                                                           isize) >>
                                                 5 as libc::c_int) &
                                            ((1 as libc::c_int) <<
                                                 2 as libc::c_int) as
                                                libc::c_uint) |
            !(DV_I_46_2_bit | DV_II_46_2_bit);
    if mask & (DV_I_45_0_bit | DV_II_45_0_bit) != 0 {
        mask &=
            (0 as libc::c_int as
                 libc::c_uint).wrapping_sub((*W.offset(60 as libc::c_int as
                                                           isize) ^
                                                 *W.offset(61 as libc::c_int
                                                               as isize) >>
                                                     5 as libc::c_int) &
                                                ((1 as libc::c_int) <<
                                                     0 as libc::c_int) as
                                                    libc::c_uint) |
                !(DV_I_45_0_bit | DV_II_45_0_bit)
    }
    if mask & (DV_II_51_0_bit | DV_II_54_0_bit) != 0 {
        mask &=
            ((*W.offset(58 as libc::c_int as isize) ^
                  *W.offset(59 as libc::c_int as isize)) >> 29 as libc::c_int
                 &
                 1 as libc::c_int as
                     libc::c_uint).wrapping_sub(1 as libc::c_int as
                                                    libc::c_uint) |
                !(DV_II_51_0_bit | DV_II_54_0_bit)
    }
    if mask & (DV_II_50_0_bit | DV_II_53_0_bit) != 0 {
        mask &=
            ((*W.offset(57 as libc::c_int as isize) ^
                  *W.offset(58 as libc::c_int as isize)) >> 29 as libc::c_int
                 &
                 1 as libc::c_int as
                     libc::c_uint).wrapping_sub(1 as libc::c_int as
                                                    libc::c_uint) |
                !(DV_II_50_0_bit | DV_II_53_0_bit)
    }
    if mask & (DV_II_52_0_bit | DV_II_54_0_bit) != 0 {
        mask &=
            ((*W.offset(56 as libc::c_int as isize) ^
                  *W.offset(59 as libc::c_int as isize) >> 25 as libc::c_int)
                 &
                 ((1 as libc::c_int) << 4 as libc::c_int) as
                     libc::c_uint).wrapping_sub(((1 as libc::c_int) <<
                                                     4 as libc::c_int) as
                                                    libc::c_uint) |
                !(DV_II_52_0_bit | DV_II_54_0_bit)
    }
    if mask & (DV_II_51_0_bit | DV_II_52_0_bit) != 0 {
        mask &=
            (0 as libc::c_int as
                 libc::c_uint).wrapping_sub((*W.offset(56 as libc::c_int as
                                                           isize) ^
                                                 *W.offset(59 as libc::c_int
                                                               as isize)) >>
                                                29 as libc::c_int &
                                                1 as libc::c_int as
                                                    libc::c_uint) |
                !(DV_II_51_0_bit | DV_II_52_0_bit)
    }
    if mask & (DV_II_49_0_bit | DV_II_52_0_bit) != 0 {
        mask &=
            ((*W.offset(56 as libc::c_int as isize) ^
                  *W.offset(57 as libc::c_int as isize)) >> 29 as libc::c_int
                 &
                 1 as libc::c_int as
                     libc::c_uint).wrapping_sub(1 as libc::c_int as
                                                    libc::c_uint) |
                !(DV_II_49_0_bit | DV_II_52_0_bit)
    }
    if mask & (DV_II_51_0_bit | DV_II_53_0_bit) != 0 {
        mask &=
            ((*W.offset(55 as libc::c_int as isize) ^
                  *W.offset(58 as libc::c_int as isize) >> 25 as libc::c_int)
                 &
                 ((1 as libc::c_int) << 4 as libc::c_int) as
                     libc::c_uint).wrapping_sub(((1 as libc::c_int) <<
                                                     4 as libc::c_int) as
                                                    libc::c_uint) |
                !(DV_II_51_0_bit | DV_II_53_0_bit)
    }
    if mask & (DV_II_50_0_bit | DV_II_52_0_bit) != 0 {
        mask &=
            ((*W.offset(54 as libc::c_int as isize) ^
                  *W.offset(57 as libc::c_int as isize) >> 25 as libc::c_int)
                 &
                 ((1 as libc::c_int) << 4 as libc::c_int) as
                     libc::c_uint).wrapping_sub(((1 as libc::c_int) <<
                                                     4 as libc::c_int) as
                                                    libc::c_uint) |
                !(DV_II_50_0_bit | DV_II_52_0_bit)
    }
    if mask & (DV_II_49_0_bit | DV_II_51_0_bit) != 0 {
        mask &=
            ((*W.offset(53 as libc::c_int as isize) ^
                  *W.offset(56 as libc::c_int as isize) >> 25 as libc::c_int)
                 &
                 ((1 as libc::c_int) << 4 as libc::c_int) as
                     libc::c_uint).wrapping_sub(((1 as libc::c_int) <<
                                                     4 as libc::c_int) as
                                                    libc::c_uint) |
                !(DV_II_49_0_bit | DV_II_51_0_bit)
    }
    mask &=
        ((*W.offset(51 as libc::c_int as isize) ^
              *W.offset(50 as libc::c_int as isize) >> 5 as libc::c_int) &
             ((1 as libc::c_int) << 1 as libc::c_int) as
                 libc::c_uint).wrapping_sub(((1 as libc::c_int) <<
                                                 1 as libc::c_int) as
                                                libc::c_uint) |
            !(DV_I_50_2_bit | DV_II_46_2_bit);
    mask &=
        ((*W.offset(48 as libc::c_int as isize) ^
              *W.offset(50 as libc::c_int as isize)) &
             ((1 as libc::c_int) << 6 as libc::c_int) as
                 libc::c_uint).wrapping_sub(((1 as libc::c_int) <<
                                                 6 as libc::c_int) as
                                                libc::c_uint) |
            !(DV_I_50_2_bit | DV_II_46_2_bit);
    if mask & (DV_I_51_0_bit | DV_I_52_0_bit) != 0 {
        mask &=
            (0 as libc::c_int as
                 libc::c_uint).wrapping_sub((*W.offset(48 as libc::c_int as
                                                           isize) ^
                                                 *W.offset(55 as libc::c_int
                                                               as isize)) >>
                                                29 as libc::c_int &
                                                1 as libc::c_int as
                                                    libc::c_uint) |
                !(DV_I_51_0_bit | DV_I_52_0_bit)
    }
    mask &=
        ((*W.offset(47 as libc::c_int as isize) ^
              *W.offset(49 as libc::c_int as isize)) &
             ((1 as libc::c_int) << 6 as libc::c_int) as
                 libc::c_uint).wrapping_sub(((1 as libc::c_int) <<
                                                 6 as libc::c_int) as
                                                libc::c_uint) |
            !(DV_I_49_2_bit | DV_I_51_2_bit);
    mask &=
        ((*W.offset(48 as libc::c_int as isize) ^
              *W.offset(47 as libc::c_int as isize) >> 5 as libc::c_int) &
             ((1 as libc::c_int) << 1 as libc::c_int) as
                 libc::c_uint).wrapping_sub(((1 as libc::c_int) <<
                                                 1 as libc::c_int) as
                                                libc::c_uint) |
            !(DV_I_47_2_bit | DV_II_51_2_bit);
    mask &=
        ((*W.offset(46 as libc::c_int as isize) ^
              *W.offset(48 as libc::c_int as isize)) &
             ((1 as libc::c_int) << 6 as libc::c_int) as
                 libc::c_uint).wrapping_sub(((1 as libc::c_int) <<
                                                 6 as libc::c_int) as
                                                libc::c_uint) |
            !(DV_I_48_2_bit | DV_I_50_2_bit);
    mask &=
        ((*W.offset(47 as libc::c_int as isize) ^
              *W.offset(46 as libc::c_int as isize) >> 5 as libc::c_int) &
             ((1 as libc::c_int) << 1 as libc::c_int) as
                 libc::c_uint).wrapping_sub(((1 as libc::c_int) <<
                                                 1 as libc::c_int) as
                                                libc::c_uint) |
            !(DV_I_46_2_bit | DV_II_50_2_bit);
    mask &=
        (0 as libc::c_int as
             libc::c_uint).wrapping_sub((*W.offset(44 as libc::c_int as isize)
                                             ^
                                             *W.offset(45 as libc::c_int as
                                                           isize) >>
                                                 5 as libc::c_int) &
                                            ((1 as libc::c_int) <<
                                                 1 as libc::c_int) as
                                                libc::c_uint) |
            !(DV_I_51_2_bit | DV_II_49_2_bit);
    mask &=
        ((*W.offset(43 as libc::c_int as isize) ^
              *W.offset(45 as libc::c_int as isize)) &
             ((1 as libc::c_int) << 6 as libc::c_int) as
                 libc::c_uint).wrapping_sub(((1 as libc::c_int) <<
                                                 6 as libc::c_int) as
                                                libc::c_uint) |
            !(DV_I_47_2_bit | DV_I_49_2_bit);
    mask &=
        ((*W.offset(42 as libc::c_int as isize) ^
              *W.offset(44 as libc::c_int as isize)) >> 6 as libc::c_int &
             1 as libc::c_int as
                 libc::c_uint).wrapping_sub(1 as libc::c_int as libc::c_uint)
            | !(DV_I_46_2_bit | DV_I_48_2_bit);
    mask &=
        ((*W.offset(43 as libc::c_int as isize) ^
              *W.offset(42 as libc::c_int as isize) >> 5 as libc::c_int) &
             ((1 as libc::c_int) << 1 as libc::c_int) as
                 libc::c_uint).wrapping_sub(((1 as libc::c_int) <<
                                                 1 as libc::c_int) as
                                                libc::c_uint) |
            !(DV_II_46_2_bit | DV_II_51_2_bit);
    mask &=
        ((*W.offset(42 as libc::c_int as isize) ^
              *W.offset(41 as libc::c_int as isize) >> 5 as libc::c_int) &
             ((1 as libc::c_int) << 1 as libc::c_int) as
                 libc::c_uint).wrapping_sub(((1 as libc::c_int) <<
                                                 1 as libc::c_int) as
                                                libc::c_uint) |
            !(DV_I_51_2_bit | DV_II_50_2_bit);
    mask &=
        ((*W.offset(41 as libc::c_int as isize) ^
              *W.offset(40 as libc::c_int as isize) >> 5 as libc::c_int) &
             ((1 as libc::c_int) << 1 as libc::c_int) as
                 libc::c_uint).wrapping_sub(((1 as libc::c_int) <<
                                                 1 as libc::c_int) as
                                                libc::c_uint) |
            !(DV_I_50_2_bit | DV_II_49_2_bit);
    if mask & (DV_I_52_0_bit | DV_II_51_0_bit) != 0 {
        mask &=
            ((*W.offset(39 as libc::c_int as isize) ^
                  *W.offset(43 as libc::c_int as isize) >> 25 as libc::c_int)
                 &
                 ((1 as libc::c_int) << 4 as libc::c_int) as
                     libc::c_uint).wrapping_sub(((1 as libc::c_int) <<
                                                     4 as libc::c_int) as
                                                    libc::c_uint) |
                !(DV_I_52_0_bit | DV_II_51_0_bit)
    }
    if mask & (DV_I_51_0_bit | DV_II_50_0_bit) != 0 {
        mask &=
            ((*W.offset(38 as libc::c_int as isize) ^
                  *W.offset(42 as libc::c_int as isize) >> 25 as libc::c_int)
                 &
                 ((1 as libc::c_int) << 4 as libc::c_int) as
                     libc::c_uint).wrapping_sub(((1 as libc::c_int) <<
                                                     4 as libc::c_int) as
                                                    libc::c_uint) |
                !(DV_I_51_0_bit | DV_II_50_0_bit)
    }
    if mask & (DV_I_48_2_bit | DV_I_51_2_bit) != 0 {
        mask &=
            (0 as libc::c_int as
                 libc::c_uint).wrapping_sub((*W.offset(37 as libc::c_int as
                                                           isize) ^
                                                 *W.offset(38 as libc::c_int
                                                               as isize) >>
                                                     5 as libc::c_int) &
                                                ((1 as libc::c_int) <<
                                                     1 as libc::c_int) as
                                                    libc::c_uint) |
                !(DV_I_48_2_bit | DV_I_51_2_bit)
    }
    if mask & (DV_I_50_0_bit | DV_II_49_0_bit) != 0 {
        mask &=
            ((*W.offset(37 as libc::c_int as isize) ^
                  *W.offset(41 as libc::c_int as isize) >> 25 as libc::c_int)
                 &
                 ((1 as libc::c_int) << 4 as libc::c_int) as
                     libc::c_uint).wrapping_sub(((1 as libc::c_int) <<
                                                     4 as libc::c_int) as
                                                    libc::c_uint) |
                !(DV_I_50_0_bit | DV_II_49_0_bit)
    }
    if mask & (DV_II_52_0_bit | DV_II_54_0_bit) != 0 {
        mask &=
            (0 as libc::c_int as
                 libc::c_uint).wrapping_sub((*W.offset(36 as libc::c_int as
                                                           isize) ^
                                                 *W.offset(38 as libc::c_int
                                                               as isize)) &
                                                ((1 as libc::c_int) <<
                                                     4 as libc::c_int) as
                                                    libc::c_uint) |
                !(DV_II_52_0_bit | DV_II_54_0_bit)
    }
    mask &=
        (0 as libc::c_int as
             libc::c_uint).wrapping_sub((*W.offset(35 as libc::c_int as isize)
                                             ^
                                             *W.offset(36 as libc::c_int as
                                                           isize) >>
                                                 5 as libc::c_int) &
                                            ((1 as libc::c_int) <<
                                                 1 as libc::c_int) as
                                                libc::c_uint) |
            !(DV_I_46_2_bit | DV_I_49_2_bit);
    if mask & (DV_I_51_0_bit | DV_II_47_0_bit) != 0 {
        mask &=
            ((*W.offset(35 as libc::c_int as isize) ^
                  *W.offset(39 as libc::c_int as isize) >> 25 as libc::c_int)
                 &
                 ((1 as libc::c_int) << 3 as libc::c_int) as
                     libc::c_uint).wrapping_sub(((1 as libc::c_int) <<
                                                     3 as libc::c_int) as
                                                    libc::c_uint) |
                !(DV_I_51_0_bit | DV_II_47_0_bit)
    }
    if mask != 0 {
        if mask & DV_I_43_0_bit != 0 {
            if (*W.offset(61 as libc::c_int as isize) ^
                    *W.offset(62 as libc::c_int as isize) >> 5 as libc::c_int)
                   & ((1 as libc::c_int) << 1 as libc::c_int) as libc::c_uint
                   == 0 ||
                   (*W.offset(59 as libc::c_int as isize) ^
                        *W.offset(63 as libc::c_int as isize) >>
                            25 as libc::c_int) &
                       ((1 as libc::c_int) << 5 as libc::c_int) as
                           libc::c_uint != 0 ||
                   (*W.offset(58 as libc::c_int as isize) ^
                        *W.offset(63 as libc::c_int as isize) >>
                            30 as libc::c_int) &
                       ((1 as libc::c_int) << 0 as libc::c_int) as
                           libc::c_uint == 0 {
                mask &= !DV_I_43_0_bit
            }
        }
        if mask & DV_I_44_0_bit != 0 {
            if (*W.offset(62 as libc::c_int as isize) ^
                    *W.offset(63 as libc::c_int as isize) >> 5 as libc::c_int)
                   & ((1 as libc::c_int) << 1 as libc::c_int) as libc::c_uint
                   == 0 ||
                   (*W.offset(60 as libc::c_int as isize) ^
                        *W.offset(64 as libc::c_int as isize) >>
                            25 as libc::c_int) &
                       ((1 as libc::c_int) << 5 as libc::c_int) as
                           libc::c_uint != 0 ||
                   (*W.offset(59 as libc::c_int as isize) ^
                        *W.offset(64 as libc::c_int as isize) >>
                            30 as libc::c_int) &
                       ((1 as libc::c_int) << 0 as libc::c_int) as
                           libc::c_uint == 0 {
                mask &= !DV_I_44_0_bit
            }
        }
        if mask & DV_I_46_2_bit != 0 {
            mask &=
                !((*W.offset(40 as libc::c_int as isize) ^
                       *W.offset(42 as libc::c_int as isize)) >>
                      2 as libc::c_int) | !DV_I_46_2_bit
        }
        if mask & DV_I_47_2_bit != 0 {
            if (*W.offset(62 as libc::c_int as isize) ^
                    *W.offset(63 as libc::c_int as isize) >> 5 as libc::c_int)
                   & ((1 as libc::c_int) << 2 as libc::c_int) as libc::c_uint
                   == 0 ||
                   (*W.offset(41 as libc::c_int as isize) ^
                        *W.offset(43 as libc::c_int as isize)) &
                       ((1 as libc::c_int) << 6 as libc::c_int) as
                           libc::c_uint != 0 {
                mask &= !DV_I_47_2_bit
            }
        }
        if mask & DV_I_48_2_bit != 0 {
            if (*W.offset(63 as libc::c_int as isize) ^
                    *W.offset(64 as libc::c_int as isize) >> 5 as libc::c_int)
                   & ((1 as libc::c_int) << 2 as libc::c_int) as libc::c_uint
                   == 0 ||
                   (*W.offset(48 as libc::c_int as isize) ^
                        *W.offset(49 as libc::c_int as isize) <<
                            5 as libc::c_int) &
                       ((1 as libc::c_int) << 6 as libc::c_int) as
                           libc::c_uint != 0 {
                mask &= !DV_I_48_2_bit
            }
        }
        if mask & DV_I_49_2_bit != 0 {
            if (*W.offset(49 as libc::c_int as isize) ^
                    *W.offset(50 as libc::c_int as isize) << 5 as libc::c_int)
                   & ((1 as libc::c_int) << 6 as libc::c_int) as libc::c_uint
                   != 0 ||
                   (*W.offset(42 as libc::c_int as isize) ^
                        *W.offset(50 as libc::c_int as isize)) &
                       ((1 as libc::c_int) << 1 as libc::c_int) as
                           libc::c_uint == 0 ||
                   (*W.offset(39 as libc::c_int as isize) ^
                        *W.offset(40 as libc::c_int as isize) <<
                            5 as libc::c_int) &
                       ((1 as libc::c_int) << 6 as libc::c_int) as
                           libc::c_uint != 0 ||
                   (*W.offset(38 as libc::c_int as isize) ^
                        *W.offset(40 as libc::c_int as isize)) &
                       ((1 as libc::c_int) << 1 as libc::c_int) as
                           libc::c_uint == 0 {
                mask &= !DV_I_49_2_bit
            }
        }
        if mask & DV_I_50_0_bit != 0 {
            mask &=
                (*W.offset(36 as libc::c_int as isize) ^
                     *W.offset(37 as libc::c_int as isize)) <<
                    7 as libc::c_int | !DV_I_50_0_bit
        }
        if mask & DV_I_50_2_bit != 0 {
            mask &=
                (*W.offset(43 as libc::c_int as isize) ^
                     *W.offset(51 as libc::c_int as isize)) <<
                    11 as libc::c_int | !DV_I_50_2_bit
        }
        if mask & DV_I_51_0_bit != 0 {
            mask &=
                (*W.offset(37 as libc::c_int as isize) ^
                     *W.offset(38 as libc::c_int as isize)) <<
                    9 as libc::c_int | !DV_I_51_0_bit
        }
        if mask & DV_I_51_2_bit != 0 {
            if (*W.offset(51 as libc::c_int as isize) ^
                    *W.offset(52 as libc::c_int as isize) << 5 as libc::c_int)
                   & ((1 as libc::c_int) << 6 as libc::c_int) as libc::c_uint
                   != 0 ||
                   (*W.offset(49 as libc::c_int as isize) ^
                        *W.offset(51 as libc::c_int as isize)) &
                       ((1 as libc::c_int) << 6 as libc::c_int) as
                           libc::c_uint != 0 ||
                   (*W.offset(37 as libc::c_int as isize) ^
                        *W.offset(37 as libc::c_int as isize) >>
                            5 as libc::c_int) &
                       ((1 as libc::c_int) << 1 as libc::c_int) as
                           libc::c_uint != 0 ||
                   (*W.offset(35 as libc::c_int as isize) ^
                        *W.offset(39 as libc::c_int as isize) >>
                            25 as libc::c_int) &
                       ((1 as libc::c_int) << 5 as libc::c_int) as
                           libc::c_uint != 0 {
                mask &= !DV_I_51_2_bit
            }
        }
        if mask & DV_I_52_0_bit != 0 {
            mask &=
                (*W.offset(38 as libc::c_int as isize) ^
                     *W.offset(39 as libc::c_int as isize)) <<
                    11 as libc::c_int | !DV_I_52_0_bit
        }
        if mask & DV_II_46_2_bit != 0 {
            mask &=
                (*W.offset(47 as libc::c_int as isize) ^
                     *W.offset(51 as libc::c_int as isize)) <<
                    17 as libc::c_int | !DV_II_46_2_bit
        }
        if mask & DV_II_48_0_bit != 0 {
            if (*W.offset(36 as libc::c_int as isize) ^
                    *W.offset(40 as libc::c_int as isize) >>
                        25 as libc::c_int) &
                   ((1 as libc::c_int) << 3 as libc::c_int) as libc::c_uint !=
                   0 ||
                   (*W.offset(35 as libc::c_int as isize) ^
                        *W.offset(40 as libc::c_int as isize) <<
                            2 as libc::c_int) &
                       ((1 as libc::c_int) << 30 as libc::c_int) as
                           libc::c_uint == 0 {
                mask &= !DV_II_48_0_bit
            }
        }
        if mask & DV_II_49_0_bit != 0 {
            if (*W.offset(37 as libc::c_int as isize) ^
                    *W.offset(41 as libc::c_int as isize) >>
                        25 as libc::c_int) &
                   ((1 as libc::c_int) << 3 as libc::c_int) as libc::c_uint !=
                   0 ||
                   (*W.offset(36 as libc::c_int as isize) ^
                        *W.offset(41 as libc::c_int as isize) <<
                            2 as libc::c_int) &
                       ((1 as libc::c_int) << 30 as libc::c_int) as
                           libc::c_uint == 0 {
                mask &= !DV_II_49_0_bit
            }
        }
        if mask & DV_II_49_2_bit != 0 {
            if (*W.offset(53 as libc::c_int as isize) ^
                    *W.offset(54 as libc::c_int as isize) << 5 as libc::c_int)
                   & ((1 as libc::c_int) << 6 as libc::c_int) as libc::c_uint
                   != 0 ||
                   (*W.offset(51 as libc::c_int as isize) ^
                        *W.offset(53 as libc::c_int as isize)) &
                       ((1 as libc::c_int) << 6 as libc::c_int) as
                           libc::c_uint != 0 ||
                   (*W.offset(50 as libc::c_int as isize) ^
                        *W.offset(54 as libc::c_int as isize)) &
                       ((1 as libc::c_int) << 1 as libc::c_int) as
                           libc::c_uint == 0 ||
                   (*W.offset(45 as libc::c_int as isize) ^
                        *W.offset(46 as libc::c_int as isize) <<
                            5 as libc::c_int) &
                       ((1 as libc::c_int) << 6 as libc::c_int) as
                           libc::c_uint != 0 ||
                   (*W.offset(37 as libc::c_int as isize) ^
                        *W.offset(41 as libc::c_int as isize) >>
                            25 as libc::c_int) &
                       ((1 as libc::c_int) << 5 as libc::c_int) as
                           libc::c_uint != 0 ||
                   (*W.offset(36 as libc::c_int as isize) ^
                        *W.offset(41 as libc::c_int as isize) >>
                            30 as libc::c_int) &
                       ((1 as libc::c_int) << 0 as libc::c_int) as
                           libc::c_uint == 0 {
                mask &= !DV_II_49_2_bit
            }
        }
        if mask & DV_II_50_0_bit != 0 {
            if (*W.offset(55 as libc::c_int as isize) ^
                    *W.offset(58 as libc::c_int as isize)) &
                   ((1 as libc::c_int) << 29 as libc::c_int) as libc::c_uint
                   == 0 ||
                   (*W.offset(38 as libc::c_int as isize) ^
                        *W.offset(42 as libc::c_int as isize) >>
                            25 as libc::c_int) &
                       ((1 as libc::c_int) << 3 as libc::c_int) as
                           libc::c_uint != 0 ||
                   (*W.offset(37 as libc::c_int as isize) ^
                        *W.offset(42 as libc::c_int as isize) <<
                            2 as libc::c_int) &
                       ((1 as libc::c_int) << 30 as libc::c_int) as
                           libc::c_uint == 0 {
                mask &= !DV_II_50_0_bit
            }
        }
        if mask & DV_II_50_2_bit != 0 {
            if (*W.offset(54 as libc::c_int as isize) ^
                    *W.offset(55 as libc::c_int as isize) << 5 as libc::c_int)
                   & ((1 as libc::c_int) << 6 as libc::c_int) as libc::c_uint
                   != 0 ||
                   (*W.offset(52 as libc::c_int as isize) ^
                        *W.offset(54 as libc::c_int as isize)) &
                       ((1 as libc::c_int) << 6 as libc::c_int) as
                           libc::c_uint != 0 ||
                   (*W.offset(51 as libc::c_int as isize) ^
                        *W.offset(55 as libc::c_int as isize)) &
                       ((1 as libc::c_int) << 1 as libc::c_int) as
                           libc::c_uint == 0 ||
                   (*W.offset(45 as libc::c_int as isize) ^
                        *W.offset(47 as libc::c_int as isize)) &
                       ((1 as libc::c_int) << 1 as libc::c_int) as
                           libc::c_uint == 0 ||
                   (*W.offset(38 as libc::c_int as isize) ^
                        *W.offset(42 as libc::c_int as isize) >>
                            25 as libc::c_int) &
                       ((1 as libc::c_int) << 5 as libc::c_int) as
                           libc::c_uint != 0 ||
                   (*W.offset(37 as libc::c_int as isize) ^
                        *W.offset(42 as libc::c_int as isize) >>
                            30 as libc::c_int) &
                       ((1 as libc::c_int) << 0 as libc::c_int) as
                           libc::c_uint == 0 {
                mask &= !DV_II_50_2_bit
            }
        }
        if mask & DV_II_51_0_bit != 0 {
            if (*W.offset(39 as libc::c_int as isize) ^
                    *W.offset(43 as libc::c_int as isize) >>
                        25 as libc::c_int) &
                   ((1 as libc::c_int) << 3 as libc::c_int) as libc::c_uint !=
                   0 ||
                   (*W.offset(38 as libc::c_int as isize) ^
                        *W.offset(43 as libc::c_int as isize) <<
                            2 as libc::c_int) &
                       ((1 as libc::c_int) << 30 as libc::c_int) as
                           libc::c_uint == 0 {
                mask &= !DV_II_51_0_bit
            }
        }
        if mask & DV_II_51_2_bit != 0 {
            if (*W.offset(55 as libc::c_int as isize) ^
                    *W.offset(56 as libc::c_int as isize) << 5 as libc::c_int)
                   & ((1 as libc::c_int) << 6 as libc::c_int) as libc::c_uint
                   != 0 ||
                   (*W.offset(53 as libc::c_int as isize) ^
                        *W.offset(55 as libc::c_int as isize)) &
                       ((1 as libc::c_int) << 6 as libc::c_int) as
                           libc::c_uint != 0 ||
                   (*W.offset(52 as libc::c_int as isize) ^
                        *W.offset(56 as libc::c_int as isize)) &
                       ((1 as libc::c_int) << 1 as libc::c_int) as
                           libc::c_uint == 0 ||
                   (*W.offset(46 as libc::c_int as isize) ^
                        *W.offset(48 as libc::c_int as isize)) &
                       ((1 as libc::c_int) << 1 as libc::c_int) as
                           libc::c_uint == 0 ||
                   (*W.offset(39 as libc::c_int as isize) ^
                        *W.offset(43 as libc::c_int as isize) >>
                            25 as libc::c_int) &
                       ((1 as libc::c_int) << 5 as libc::c_int) as
                           libc::c_uint != 0 ||
                   (*W.offset(38 as libc::c_int as isize) ^
                        *W.offset(43 as libc::c_int as isize) >>
                            30 as libc::c_int) &
                       ((1 as libc::c_int) << 0 as libc::c_int) as
                           libc::c_uint == 0 {
                mask &= !DV_II_51_2_bit
            }
        }
        if mask & DV_II_52_0_bit != 0 {
            if (*W.offset(59 as libc::c_int as isize) ^
                    *W.offset(60 as libc::c_int as isize)) &
                   ((1 as libc::c_int) << 29 as libc::c_int) as libc::c_uint
                   != 0 ||
                   (*W.offset(40 as libc::c_int as isize) ^
                        *W.offset(44 as libc::c_int as isize) >>
                            25 as libc::c_int) &
                       ((1 as libc::c_int) << 3 as libc::c_int) as
                           libc::c_uint != 0 ||
                   (*W.offset(40 as libc::c_int as isize) ^
                        *W.offset(44 as libc::c_int as isize) >>
                            25 as libc::c_int) &
                       ((1 as libc::c_int) << 4 as libc::c_int) as
                           libc::c_uint != 0 ||
                   (*W.offset(39 as libc::c_int as isize) ^
                        *W.offset(44 as libc::c_int as isize) <<
                            2 as libc::c_int) &
                       ((1 as libc::c_int) << 30 as libc::c_int) as
                           libc::c_uint == 0 {
                mask &= !DV_II_52_0_bit
            }
        }
        if mask & DV_II_53_0_bit != 0 {
            if (*W.offset(58 as libc::c_int as isize) ^
                    *W.offset(61 as libc::c_int as isize)) &
                   ((1 as libc::c_int) << 29 as libc::c_int) as libc::c_uint
                   == 0 ||
                   (*W.offset(57 as libc::c_int as isize) ^
                        *W.offset(61 as libc::c_int as isize) >>
                            25 as libc::c_int) &
                       ((1 as libc::c_int) << 4 as libc::c_int) as
                           libc::c_uint != 0 ||
                   (*W.offset(41 as libc::c_int as isize) ^
                        *W.offset(45 as libc::c_int as isize) >>
                            25 as libc::c_int) &
                       ((1 as libc::c_int) << 3 as libc::c_int) as
                           libc::c_uint != 0 ||
                   (*W.offset(41 as libc::c_int as isize) ^
                        *W.offset(45 as libc::c_int as isize) >>
                            25 as libc::c_int) &
                       ((1 as libc::c_int) << 4 as libc::c_int) as
                           libc::c_uint != 0 {
                mask &= !DV_II_53_0_bit
            }
        }
        if mask & DV_II_54_0_bit != 0 {
            if (*W.offset(58 as libc::c_int as isize) ^
                    *W.offset(62 as libc::c_int as isize) >>
                        25 as libc::c_int) &
                   ((1 as libc::c_int) << 4 as libc::c_int) as libc::c_uint !=
                   0 ||
                   (*W.offset(42 as libc::c_int as isize) ^
                        *W.offset(46 as libc::c_int as isize) >>
                            25 as libc::c_int) &
                       ((1 as libc::c_int) << 3 as libc::c_int) as
                           libc::c_uint != 0 ||
                   (*W.offset(42 as libc::c_int as isize) ^
                        *W.offset(46 as libc::c_int as isize) >>
                            25 as libc::c_int) &
                       ((1 as libc::c_int) << 4 as libc::c_int) as
                           libc::c_uint != 0 {
                mask &= !DV_II_54_0_bit
            }
        }
        if mask & DV_II_55_0_bit != 0 {
            if (*W.offset(59 as libc::c_int as isize) ^
                    *W.offset(63 as libc::c_int as isize) >>
                        25 as libc::c_int) &
                   ((1 as libc::c_int) << 4 as libc::c_int) as libc::c_uint !=
                   0 ||
                   (*W.offset(57 as libc::c_int as isize) ^
                        *W.offset(59 as libc::c_int as isize) >>
                            25 as libc::c_int) &
                       ((1 as libc::c_int) << 4 as libc::c_int) as
                           libc::c_uint != 0 ||
                   (*W.offset(43 as libc::c_int as isize) ^
                        *W.offset(47 as libc::c_int as isize) >>
                            25 as libc::c_int) &
                       ((1 as libc::c_int) << 3 as libc::c_int) as
                           libc::c_uint != 0 ||
                   (*W.offset(43 as libc::c_int as isize) ^
                        *W.offset(47 as libc::c_int as isize) >>
                            25 as libc::c_int) &
                       ((1 as libc::c_int) << 4 as libc::c_int) as
                           libc::c_uint != 0 {
                mask &= !DV_II_55_0_bit
            }
        }
        if mask & DV_II_56_0_bit != 0 {
            if (*W.offset(60 as libc::c_int as isize) ^
                    *W.offset(64 as libc::c_int as isize) >>
                        25 as libc::c_int) &
                   ((1 as libc::c_int) << 4 as libc::c_int) as libc::c_uint !=
                   0 ||
                   (*W.offset(44 as libc::c_int as isize) ^
                        *W.offset(48 as libc::c_int as isize) >>
                            25 as libc::c_int) &
                       ((1 as libc::c_int) << 3 as libc::c_int) as
                           libc::c_uint != 0 ||
                   (*W.offset(44 as libc::c_int as isize) ^
                        *W.offset(48 as libc::c_int as isize) >>
                            25 as libc::c_int) &
                       ((1 as libc::c_int) << 4 as libc::c_int) as
                           libc::c_uint != 0 {
                mask &= !DV_II_56_0_bit
            }
        }
    }
    *dvmask.offset(0 as libc::c_int as isize) = mask;
}
